; ------------------------------------------------------------------------------------------
; Attack Spell

; Feuerball oder Pfeil animieren
Procedure fernangriff_monster(aussehen.w)
Shared spell_x, spell_y

                  If spell_x > 0
                     startx = 32*spell_x
                  EndIf
                  If spell_x < 0
                     startx = -32 * spell_x
                  EndIf
                  If spell_y > 0
                     starty = 32 *spell_y
                  EndIf
                  If spell_y < 0
                     starty = -32 * spell_y
                  EndIf

                  If spell_x > 0
                     i = startx
                     Repeat
                        laby_screen()
                        If aussehen = 1
                           ClipSprite(#SPRITE_TILESET_MONSTER, 64,160, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_MONSTER, 160+i, 160)
                        EndIf
                        If aussehen = 2
                           ClipSprite(#SPRITE_TILESET_ITEMS, 384,320, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160+i, 160)
                        EndIf
                        FlipBuffers()
                        i = i - 2
                     Until i <= 0
                   EndIf

                   If spell_x < 0
                      i = startx
                      Repeat
                        laby_screen()
                        If aussehen = 1
                           ClipSprite(#SPRITE_TILESET_MONSTER, 64,160, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_MONSTER, 160-i, 160)
                        EndIf
                        If aussehen = 2
                           ClipSprite(#SPRITE_TILESET_ITEMS, 320,320, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160-i, 160)
                        EndIf

                        FlipBuffers()
                        i = i - 2
                     Until i <= 0
                   EndIf

                   If spell_y > 0
                     i = starty
                     Repeat
                        laby_screen()
                        If aussehen = 1
                           ClipSprite(#SPRITE_TILESET_MONSTER, 64,160, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_MONSTER, 160, 160+i)
                        EndIf
                        If aussehen = 2
                           ClipSprite(#SPRITE_TILESET_ITEMS, 288,320, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160, 160+i)
                        EndIf
                        FlipBuffers()
                        i = i - 2
                     Until i <= 0
                   EndIf

                   If spell_y < 0
                     i = starty
                     Repeat
                        laby_screen()
                        If aussehen = 1
                           ClipSprite(#SPRITE_TILESET_MONSTER, 64,160, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_MONSTER, 160, 160-i)
                        EndIf
                        If aussehen = 2
                           ClipSprite(#SPRITE_TILESET_ITEMS, 352,320, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160, 160-i)
                        EndIf
                        FlipBuffers()
                        i = i - 2
                     Until i <= 0
                   EndIf

EndProcedure

; -------------------------------------------------------------------------------

Procedure fernattack(x.w,y.w,i.w)

Shared labyrinth, spell_x, spell_y, blocked, inventory, spieler, akt_spieler, sprache

            ; Fernkampf ?
            If hat_eigenschaft(x,y,5) = 1
               If blocked = 0 And monster(labyrinth(x,y) \objekt) \reichweite >= i And i > 1
                  ; Bogen ?
                  If monster(labyrinth(x,y) \objekt) \zauber = 0
                     If sprache = 0
                        nachricht ("Ein Pfeil trifft dich")
                     Else
                        nachricht ("An arrow hits you")
                     EndIf
                     PlaySound(#SOUND_BOW)
                     fernangriff_monster(2)
                     ; Geschosseschutz ?
                     if habich(#SPELL_SCHUTZ_VOR_GESCHOSSEN) > 0
                        If sprache = 0
                           nachricht ("Du bist vor Geschossen geschuetzt!")
                        Else
                           nachricht ("You are protected against arrows!")
                        EndIf
                        delay(600)
                     else
                        monster_angriff(x,y)
                     endif
                  EndIf
                  ; Magieschutz ?
                  if habich(#SPELL_MAGIESCHUTZ) > 0
                     If sprache = 0
                        nachricht ("Du hast einen fremden Zauber abgewehrt!")
                     Else
                        nachricht ("You evaded a hostile spell!")
                     EndIf
                     delay(600)
                  else
                  ; Feuerball ?
                  If monster(labyrinth(x,y) \objekt) \zauber = 1
                     If sprache = 0
                        nachricht ("Ein Feuerball trifft dich")
                     Else
                        nachricht ("A fireball hits you")
                     EndIf
                     PlaySound(#SOUND_FLAME)
                     fernangriff_monster(1)
                     ; Feuerschild ?
                     if habich(#SPELL_FEUERSCHILD) = 0
                        nein = 0
                        if skills(22,akt_spieler) \gewaehlt = 1 and random(100) > 50
                           nein = 1
                        endif
                        if nein = 0
                           schaden.w = Random(monster(labyrinth(x,y) \objekt) \zauberkraft + 1) + 2
                           ; Schwaeche Magie ?
                           if skills(72,akt_spieler) \gewaehlt = 1
                              schaden = schaden * 2
                           endif
                           spielerschaden(schaden,1)
                        else
                           If sprache = 0
                              nachricht ("Du hast den Zauber abgewehrt!")
                           Else
                              nachricht ("You evaded the hostile spell!")
                           EndIf
                        delay(600)
                        endif
                     else
                        If sprache = 0
                           nachricht ("Du bist gegen Feuer geschuetzt")
                        Else
                           nachricht ("You are protected against fire")
                        EndIf
                        delay(600)
                     endif

                  EndIf
                  ; Fluch ?
                  If monster(labyrinth(x,y) \objekt) \zauber = 2
                     PlaySound(#SOUND_DARKNESS)
                     sternchen(156,156,5)
                        nein = 0
                        if skills(22,akt_spieler) \gewaehlt = 1 and random(100) > 50
                           nein = 1
                        endif
                        if nein = 0
                           schaden.w = Random(monster(labyrinth(x,y) \objekt) \zauberkraft + 1) + 2
                           ; Schwaeche Magie ?
                           if skills(72,akt_spieler) \gewaehlt = 1
                              schaden = schaden * 2
                           endif
                           spielerschaden(schaden,1)
                        If sprache = 0
                           nachricht ("Du hast den Zauber abgewehrt!")
                        Else
                           nachricht ("You evaded the hostile spell!")
                        EndIf
                        delay(600)
                     else
                        If sprache = 0
                           nachricht ("Ein Fluch trifft dich")
                        Else
                           nachricht ("You get cursed")
                        EndIf
                        spieler(akt_spieler) \fluch = Random(22) + 1
                        spieler(akt_spieler) \fluchdauer = Random(monster(labyrinth(x,y) \objekt) \zauberkraft * 2) + 5
                        ; Verflucht ?
                        If skills(73,akt_spieler) \gewaehlt = 1
                           spieler(akt_spieler) \fluchdauer = spieler(akt_spieler) \fluchdauer * 2
                        EndIf
                     endif
                  EndIf
                  ; Diebstahl ?
                  If monster(labyrinth(x,y) \objekt) \zauber = 3
                     PlaySound(#SOUND_DARKNESS)
                     sternchen(156,156,6)
                        nein = 0
                        if skills(22,akt_spieler) \gewaehlt = 1 and random(100) > 50
                           nein = 1
                        endif
                        if nein = 0
                           schaden.w = Random(monster(labyrinth(x,y) \objekt) \zauberkraft + 1) + 2
                           ; Schwaeche Magie ?
                           if skills(72,akt_spieler) \gewaehlt = 1
                              schaden = schaden * 2
                           endif
                           spielerschaden(schaden,1)
                        If sprache = 0
                           nachricht ("Du hast den Zauber abgewehrt!")
                        Else
                           nachricht ("You evaded the hostile spell!")
                        EndIf
                        delay(600)
                     else
                     If sprache = 0
                        nachricht ("Ein Zauber raubt dir einen Gegenstand")
                     Else
                        nachricht ("A spell steals an item from you")
                     EndIf
                     delay(600)
                     ; unbenutzter gegenstand vorhanden ?
                     geg.b = 0
                     For i = 1 To 40
                        If inventory(i,akt_spieler) \name <> 0 And inventory(i,akt_spieler) \benutzt = 0
                           geg = 1
                        EndIf
                     Next
                     If geg = 1
                        geklaut.w = 0
                        Repeat
                           wasele.w = Random(39) + 1
                           If inventory(wasele,akt_spieler) \name <> 0 And inventory(wasele,akt_spieler) \benutzt = 0
                              geklaut = 1
                              inventory(wasele,akt_spieler) \name = 0
                              inventory(wasele,akt_spieler) \art  = 0
                              inventory(wasele,akt_spieler) \benutzt = 0
                              inventory(wasele,akt_spieler) \attri1 = 0
                              inventory(wasele,akt_spieler) \attri2 = 0
                              inventory(wasele,akt_spieler) \attri3 = 0
                              inventory(wasele,akt_spieler) \attri4 = 0
                              inventory(wasele,akt_spieler) \attri5 = 0
                           EndIf
                        Until geklaut = 1
                     EndIf
                     endif
                  EndIf
                  ; Manaraub
                  If monster(labyrinth(x,y) \objekt) \zauber = 4
                     PlaySound(#SOUND_DARKNESS)
                     sternchen(156,156,1)
                     if skills(22,akt_spieler) \gewaehlt = 1 and random(100) > 50
                        If sprache = 0
                           nachricht ("Du hast den Zauber abgewehrt!")
                        Else
                           nachricht ("You evaded the hostile spell!")
                        EndIf
                        delay(600)
                     else
                     If sprache = 0
                        nachricht ("Ein Zauber raubt dir Mana")
                     Else
                        nachricht ("A spell steals your mana")
                     EndIf
                     delay(600)
                     schaden.w = Random(monster(labyrinth(x,y) \objekt) \zauberkraft + 1) + 2
                        ; Schwaeche Magie ?
                        if skills(72,akt_spieler) \gewaehlt = 1
                           schaden = schaden * 2
                        endif
                     spieler(akt_spieler) \Mana = spieler(akt_spieler) \Mana - schaden
                     If spieler(akt_spieler) \Mana < 0
                        spieler(akt_spieler) \Mana = 0
                     EndIf
                     endif
                  EndIf
                  ; Dunkler Sog
                  If monster(labyrinth(x,y) \objekt) \zauber = 5
                     PlaySound(#SOUND_DARKNESS)
                     For j = 1 To 5
                        For i = 1 To 4
                           laby_screen()
                           If i = 1
                              ClipSprite(#SPRITE_TILESET_ANIMATIONEN, 80, 40, 39, 39)
                           EndIf
                           If i = 2
                              ClipSprite(#SPRITE_TILESET_ANIMATIONEN, 120, 40, 39, 39)
                           EndIf
                           If i = 3
                              ClipSprite(#SPRITE_TILESET_ANIMATIONEN, 1, 80, 39, 39)
                           EndIf
                           If i = 4
                              ClipSprite(#SPRITE_TILESET_ANIMATIONEN, 40, 80, 39, 39)
                           EndIf
                           DisplayTransparentSprite(#SPRITE_TILESET_ANIMATIONEN, 156, 156)

                        Next
                     Next
                        nein = 0
                        if skills(22,akt_spieler) \gewaehlt = 1 and random(100) > 50
                           nein = 1
                        endif
                        if nein = 0
                           schaden.w = Random(monster(labyrinth(x,y) \objekt) \zauberkraft + 1) + 2
                           ; Schwaeche Magie ?
                           if skills(72,akt_spieler) \gewaehlt = 1
                              schaden = schaden * 2
                           endif
                           spielerschaden(schaden,1)
                        If sprache = 0
                           nachricht ("Du hast den Zauber abgewehrt!")
                        Else
                           nachricht ("You evaded the hostile spell!")
                        EndIf
                        delay(600)
                     else
                           If sprache = 0
                              nachricht ("Ein Zauber raubt dir LPs")
                           Else
                              nachricht ("A spell steals your LPs")
                           EndIf
                           Delay(600)
                     schaden.w = Random(monster(labyrinth(x,y) \objekt) \zauberkraft + 1) + 2
                        ; Schwaeche Magie ?
                        if skills(72,akt_spieler) \gewaehlt = 1
                           schaden = schaden * 2
                        endif
                     spielerschaden(schaden,1)
                     monster(labyrinth(x,y) \objekt) \lebenspunkte = monster(labyrinth(x,y) \objekt) \lebenspunkte + schaden
                  EndIf ; Dunkler Sog
                  endif
                  endif ; magieschutz
               EndIf
            EndIf

EndProcedure

; -------------------------------------------------------------------------------

Procedure fernkampf()

Shared labyrinth,spieler, akt_spieler, spell_x, spell_y, blocked, inventory

; Nach Norden
      For i = 1 To 5
         If spieler(akt_spieler) \character_y-i > 0
            If labyrinth(spieler(akt_spieler) \character_x,spieler(akt_spieler) \character_y-i) \feld > 200 ; Monster ?
               spell_x = 0
               spell_y = i - 2 * i
               los()
               fernattack(spieler(akt_spieler) \character_x, spieler(akt_spieler) \character_y-i,i)
            EndIf
         EndIf
      Next

; Nach Sueden
      For i = 1 To 5
         If labyrinth(spieler(akt_spieler) \character_x,spieler(akt_spieler) \character_y+i) \feld > 200 ; Monster ?
            spell_x = 0
            spell_y = i
            los()
            fernattack(spieler(akt_spieler) \character_x,spieler(akt_spieler) \character_y+i,i)
         EndIf
      Next

; Nach Westen
      For i = 1 To 5
         If spieler(akt_spieler) \character_x-i > 0
            If labyrinth(spieler(akt_spieler) \character_x-i,spieler(akt_spieler) \character_y) \feld > 200 ; Monster ?
               spell_x = i - 2 * i
               spell_y = 0
               los()
               fernattack(spieler(akt_spieler) \character_x-i,spieler(akt_spieler) \character_y,i)
            EndIf
         EndIf
      Next

 ; Nach Osten
      For i = 1 To 5
         If labyrinth(spieler(akt_spieler) \character_x+i,spieler(akt_spieler) \character_y) \feld > 200 ; Monster ?
            spell_x = i
            spell_y = 0
            los()
            fernattack(spieler(akt_spieler) \character_x+i,spieler(akt_spieler) \character_y,i)
         EndIf
      Next

EndProcedure
