; Traenke

; ----------------------------------------------------------------

Procedure init_pilze()

shared pilz, sprache

   for i = 1 to #ANZ_PILZE
      pilz(i) \nr = 0
      pilz(i) \wirkung_d = ""
      pilz(i) \wirkung_e = ""
   next

   i = 1
   while i <= #ANZ_PILZE
      gesetzt.w = 0
      repeat
         welcher.w = random(#ANZ_PILZE-1)+1
         if pilz(welcher) \nr = 0
            gesetzt = 1
            pilz(welcher) \nr = i
               select(i)
                  case 1: pilz(welcher) \wirkung_d = "Wirkungslos"
                          pilz(welcher) \wirkung_e = "Useless"
                  case 2: pilz(welcher) \wirkung_d = "Schwacher Heilpilz"
                          pilz(welcher) \wirkung_e = "Weak Healingmushroom"
                  case 3: pilz(welcher) \wirkung_d = "Starker Heilpilz"
                          pilz(welcher) \wirkung_e = "Strong Healingmushroom"
                  case 4: pilz(welcher) \wirkung_d = "Schwach Giftig"
                          pilz(welcher) \wirkung_e = "Weak Poisoning"
                  case 5: pilz(welcher) \wirkung_d = "Stark Giftig"
                          pilz(welcher) \wirkung_e = "Strong Poisoning"
                  case 6: pilz(welcher) \wirkung_d = "Staerkepilz"
                          pilz(welcher) \wirkung_e = "Potion of Strength"
                  case 7: pilz(welcher) \wirkung_d = "Schwaechepilz"
                          pilz(welcher) \wirkung_e = "Potion of Weakness"
                  case 8: pilz(welcher) \wirkung_d = "Paralysepilz"
                           pilz(welcher) \wirkung_e = "Paralysing Mushroom"
                  case 9:  pilz(welcher) \wirkung_d = "Schwacher Manapilz"
                           pilz(welcher) \wirkung_e = "Weak Manamushroom"
                  case 10: pilz(welcher) \wirkung_d = "Starker Manapilz"
                           pilz(welcher) \wirkung_e = "Strong Manapotion"
               endselect
         endif
      until gesetzt = 1
      i = i + 1
   wend

EndProcedure

; ----------------------------------------------------------------

Procedure pilz_essen(welchen.w)

shared spieler, akt_spieler, sprache, schriftrolle, akt_zauber_offset, akt_zauber

   spieler(akt_spieler) \hunger = spieler(akt_spieler) \hunger - 10
   if spieler(akt_spieler) \hunger < 0
      spieler(akt_spieler) \hunger = 0
   endif
   select(welchen)
      case 1: ;wirkungslos
         if sprache = 0
            nachricht("Schmeckt wiederlich!")
         else
            nachricht("Tastes awful!")
         endif
         delay(600)
      case 2: ;schwacher_heilpilz
         spieler(akt_spieler) \Lifepoints = spieler(akt_spieler) \Lifepoints + 2
         if spieler(akt_spieler) \Lifepoints > spieler(akt_spieler) \Maxlifepoints
            spieler(akt_spieler) \Lifepoints = spieler(akt_spieler) \Maxlifepoints
         endif
         if sprache = 0
            nachricht("Du fuehlst dich besser!")
         else
            nachricht("You feel better!")
         endif
         delay(600)
      case 3: ;starker_heilpilz
         spieler(akt_spieler) \Lifepoints = spieler(akt_spieler) \Lifepoints + 4
         if spieler(akt_spieler) \Lifepoints > spieler(akt_spieler) \Maxlifepoints
            spieler(akt_spieler) \Lifepoints = spieler(akt_spieler) \Maxlifepoints
         endif
         if sprache = 0
            nachricht("Du fuehlst dich viel besser!")
         else
            nachricht("You feel much better!")
         endif
         delay(600)
      case 4: ;schwaches_gift
         spieler(akt_spieler) \gift = 1
         spieler(akt_spieler) \giftdauer = random(15)+1
         if sprache = 0
            nachricht("Du hast dich vergiftet!")
         else
            nachricht("You are poisoned!")
         endif
         delay(600)
      case 5: ;starkes_gift
         spieler(akt_spieler) \gift = 2
         spieler(akt_spieler) \giftdauer = random(15)+1
         if sprache = 0
            nachricht("Du hast dich vergiftet!")
         else
            nachricht("You are poisoned")
         endif
         delay(600)
      case 6: ;staerkepilz
           zauberliste(akt_zauber+akt_zauber_offset) = "Staerkezauber"
           schriftrolle = 1
           cast_it()
           schriftrolle = 0
      case 7: ;schwaechepilz
         if sprache = 0
            nachricht("Du verlierst deine Kraft!")
         else
            nachricht("You loose your strength!")
         endif
         delay(600)
      case 8: ;paralysepilz
         spieler(akt_spieler) \fluch = #FLUCH_PARALYSE
         spieler(akt_spieler) \fluchdauer = random(15)+1
         if sprache = 0
            nachricht("Du bist paralysiert!")
         else
            nachricht("You are paralysed!")
         endif
         delay(600)
      case 9: ;schwacher manapilz
         spieler(akt_spieler) \Mana = spieler(akt_spieler) \Mana + 2
         if spieler(akt_spieler) \Mana > spieler(akt_spieler) \MaxMana
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \MaxMana
         endif
         if sprache = 0
            nachricht("Dein Mana kehrt zurueck!")
         else
            nachricht("Your Mana is coming back")
         endif
         delay(600)
      case 10: ;starker manapilz
         spieler(akt_spieler) \Mana = spieler(akt_spieler) \Mana + 4
         if spieler(akt_spieler) \Mana > spieler(akt_spieler) \MaxMana
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \MaxMana
         endif
         if sprache = 0
            nachricht("Dein Mana kehrt zurueck!")
         else
            nachricht("Your Mana is coming back")
         endif
         delay(600)
   endselect

EndProcedure
