; Traenke

; ----------------------------------------------------------------

Procedure init_traenke()

shared trank, sprache

   for i = 1 to #ANZ_TRAENKE
      trank(i) \nr = 0
      trank(i) \staerke = 0
      trank(i) \wirkung_d = ""
      trank(i) \wirkung_e = ""
   next

   i = 1
   while i <= #ANZ_TRAENKE
      gesetzt.w = 0
      repeat
         welcher.w = random(#ANZ_TRAENKE-1)+1
         if trank(welcher) \nr = 0
            gesetzt = 1
            trank(welcher) \nr = i
            trank(welcher) \staerke = random(5)+1
               select(i)
                  case 1: trank(welcher) \wirkung_d = "Wirkungslos"
                          trank(welcher) \wirkung_e = "Useless"
                  case 2: trank(welcher) \wirkung_d = "Schwacher Heiltrank"
                          trank(welcher) \wirkung_e = "Weak Healingpotion"
                  case 3: trank(welcher) \wirkung_d = "Starker Heiltrank"
                          trank(welcher) \wirkung_e = "Strong Healingpotion"
                  case 4: trank(welcher) \wirkung_d = "Schwaches Gift"
                          trank(welcher) \wirkung_e = "Weak Poison"
                  case 5: trank(welcher) \wirkung_d = "Starkes Gift"
                          trank(welcher) \wirkung_e = "Strong Poison"
                  case 6: trank(welcher) \wirkung_d = "Trank der Helden"
                          trank(welcher) \wirkung_e = "Potion of Heroes"
                  case 7: trank(welcher) \wirkung_d = "Trank der Goetter"
                          trank(welcher) \wirkung_e = "Potion of the Gods"
                  case 8: trank(welcher) \wirkung_d = "Staerketrank"
                          trank(welcher) \wirkung_e = "Potion of Strength"
                  case 9: trank(welcher) \wirkung_d = "Schwaechetrank"
                          trank(welcher) \wirkung_e = "Potion of Weakness"
                  case 10: trank(welcher) \wirkung_d = "Paralysetrank"
                           trank(welcher) \wirkung_e = "Potion of Paralysis"
                  case 11: trank(welcher) \wirkung_d = "Trank des Fiegens"
                           trank(welcher) \wirkung_e = "Flyingpotion"
                  case 12: trank(welcher) \wirkung_d = "Trank des Schutzes"
                           trank(welcher) \wirkung_e = "Potion of Protection"
                  case 13: trank(welcher) \wirkung_d = "Schwacher Manatrank"
                           trank(welcher) \wirkung_e = "Weak Manapotion"
                  case 14: trank(welcher) \wirkung_d = "Starker Manatrank"
                           trank(welcher) \wirkung_e = "Strong Manapotion"
               endselect
         endif
      until gesetzt = 1
      i = i + 1
   wend

EndProcedure

; ----------------------------------------------------------------

Procedure trinken(welchen.w)

shared spieler, akt_spieler, sprache, schriftrolle, akt_zauber_offset

   spieler(akt_spieler) \durst = 0
   select(welchen)
      case 1: ;wirkungslos
         if sprache = 0
            nachricht("Schmeckt wiederlich!")
         else
            nachricht("Tastes awful!")
         endif
         delay(600)
      case 2: ;schwacher_heiltrank
         spieler(akt_spieler) \Lifepoints = spieler(akt_spieler) \Lifepoints + random(10)+1
         if spieler(akt_spieler) \Lifepoints > spieler(akt_spieler) \Maxlifepoints
            spieler(akt_spieler) \Lifepoints = spieler(akt_spieler) \Maxlifepoints
         endif
         if sprache = 0
            nachricht("Du wirst geheilt!")
         else
            nachricht("You get healed")
         endif
         delay(600)
      case 3: ;starker_heiltrank
         spieler(akt_spieler) \Lifepoints = spieler(akt_spieler) \Maxlifepoints
         if sprache = 0
            nachricht("Du wirst vollstaendig geheilt!")
         else
            nachricht("You get completely healed")
         endif
         delay(600)
      case 4: ;schwaches_gift
         spieler(akt_spieler) \gift = 1
         spieler(akt_spieler) \giftdauer = random(15)+1
         if sprache = 0
            nachricht("Du hast dich vergiftet!")
         else
            nachricht("You are poisoned!")
         endif
         delay(600)
      case 5: ;starkes_gift
         spieler(akt_spieler) \gift = 2
         spieler(akt_spieler) \giftdauer = random(15)+1
         if sprache = 0
            nachricht("Du hast dich vergiftet!")
         else
            nachricht("You are poisoned")
         endif
         delay(600)
      case 6: ;trank der helden
         aufsteigen()
      case 7: ;trank der goetter
         for i = 1 to 3
            aufsteigen()
         next
      case 8: ;staerketrank
           zauberliste(akt_zauber+akt_zauber_offset) = "Staerkezauber"
           schriftrolle = 1
           cast_it()
           schriftrolle = 0
      case 9: ;schwaechetrank
         if sprache = 0
            nachricht("Du verlierst deine Kraft!")
         else
            nachricht("You loose your strength!")
         endif
         delay(600)
      case 10: ;paralysetrank
         spieler(akt_spieler) \fluch = #FLUCH_PARALYSE
         spieler(akt_spieler) \fluchdauer = random(15)+1
         if sprache = 0
            nachricht("Du bist paralysiert!")
         else
            nachricht("You are paralysed!")
         endif
         delay(600)
      case 11: ;trank des fiegens
           zauberliste(akt_zauber+akt_zauber_offset) = "Fliegen"
           schriftrolle = 1
           cast_it()
           schriftrolle = 0
      case 12: ;trank des schutzes
           zauberliste(akt_zauber+akt_zauber_offset) = "Schutzzauber"
           schriftrolle = 1
           cast_it()
           schriftrolle = 0
      case 13: ;schwacher manatrank
         spieler(akt_spieler) \Mana = spieler(akt_spieler) \Mana + random(10)+1
         if spieler(akt_spieler) \Mana > spieler(akt_spieler) \MaxMana
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \MaxMana
         endif
         if sprache = 0
            nachricht("Dein Mana kehrt zurueck!")
         else
            nachricht("Your Mana is coming back")
         endif
         delay(600)
      case 14: ;starker manatrank
         spieler(akt_spieler) \Mana = spieler(akt_spieler) \MaxMana
         if sprache = 0
            nachricht("Dein Mana kehrt zurueck!")
         else
            nachricht("Your Mana is coming back")
         endif
         delay(600)
   endselect

EndProcedure
