; Sonstige Routinen

Procedure setlaby(x_x.w,y_y.w,was.w,lp.w,typ.w)

Shared labyrinth

   labyrinth(x_x,y_y) \feld = was
   labyrinth(x_x,y_y) \lebenspunkte = lp
   labyrinth(x_x,y_y) \objekt = typ

EndProcedure

; --------------------------------------------------------------------------------

Procedure luck()

Shared spieler, skills, akt_spieler

   akt_luck.w = spieler(akt_spieler) \Luck_score
   ; Glueckszauber ?
   If habich(#SPELL_GLUECKSZAUBER) > 0
      akt_luck = akt_luck + habich(#SPELL_GLUECKSZAUBER)
   EndIf

ProcedureReturn = akt_luck

EndProcedure

; --------------------------------------------------------------------------------

Procedure power()

Shared spieler, skills, schriftrolle, level, akt_spieler


   akt_power.w = spieler(akt_spieler) \Power_score

   ; Arkane Gabe ?
   If skills(15,akt_spieler) \gewaehlt = 1
      akt_power = akt_power + 1
   EndIf
   ; Elfenblut ?
   If skills(27,akt_spieler) \gewaehlt = 1
      akt_power = akt_power + luck() / 2
   EndIf
   ; Blutmagie
   If skills(28,akt_spieler) \gewaehlt = 1
      akt_power = akt_power + spieler(akt_spieler) \LifePoints / 10
   EndIf
   If habich(#SPELL_MACHT) > 0
      akt_power = akt_power * 2
   EndIf
   If spieler(akt_spieler) \fluch = #FLUCH_DER_HEKATE
      akt_power = 1
   EndIf
   If schriftrolle = 1
      akt_power = Random(level+3)+1
   EndIf

ProcedureReturn = akt_power

EndProcedure

; --------------------------------------------------------------------------------
Procedure reflexe()

Shared spieler, akt_spieler, skills

   akt_reflexe.w = spieler(akt_spieler) \Dexterity
   If spieler(akt_spieler) \fluch = #FLUCH_DER_ARTEMIS
      akt_reflexe = 1
   EndIf

ProcedureReturn = akt_reflexe

EndProcedure
; --------------------------------------------------------------------------------

Procedure leeren(feld)

Shared inventory, akt_spieler

   inventory(feld,akt_spieler) \name = 0
   inventory(feld,akt_spieler) \art = 0
   inventory(feld,akt_spieler) \benutzt = 0
   inventory(feld,akt_spieler) \attri1 = 0
   inventory(feld,akt_spieler) \attri2 = 0
   inventory(feld,akt_spieler) \attri3 = 0
   inventory(feld,akt_spieler) \attri4 = 0
   inventory(feld,akt_spieler) \attri5 = 0

EndProcedure

; --------------------------------------------------------------------------------------

Procedure nachricht(text.s)

Shared nachricht_text


      wohin = ScreenOutput()
      StartDrawing(wohin)
         DrawingMode(1)
         FrontColor(0,0,0)
         Box(15,380,330,60)
         FrontColor(255,255,255)  ; Weiss
         Locate(25,400)
         DrawText(text)
      StopDrawing()
      FlipBuffers()

EndProcedure

; --------------------------------------------------------------------------------------

Procedure show_sight()

Shared spieler, akt_spieler, test

If test = 1
   spieler(akt_spieler) \light = 7
EndIf

;Nachtsicht ?
nachtsicht.w = 0
If skills(46,akt_spieler) \gewaehlt = 1
   nachtsicht = 1
EndIf
;Kurzsichtig ?
kurzsicht.w = 0
If skills(47,akt_spieler) \gewaehlt = 1
   kurzsicht = 1
EndIf

sicht = spieler(akt_spieler) \light + nachtsicht - kurzsicht + habich(#SPELL_LICHT) + habich(#SPELL_LIED_DER_HOFFNUNG)
If sicht < 1
   sicht = 1
EndIf

If spieler(akt_spieler) \fluch = #FLUCH_BLINDHEIT
   sicht = 1
EndIf

Select sicht
   Case 1
      ClipSprite(#SPRITE_TILESET_SIGHT, 1, 1, 335, 335)
      DisplayTransparentSprite(#SPRITE_TILESET_SIGHT, 16, 15)
   Case 2
      ClipSprite(#SPRITE_TILESET_SIGHT, 335, 1, 335, 335)
      DisplayTransparentSprite(#SPRITE_TILESET_SIGHT, 16, 15)
   Case 3
      ClipSprite(#SPRITE_TILESET_SIGHT, 670, 1, 335, 335)
      DisplayTransparentSprite(#SPRITE_TILESET_SIGHT, 16, 15)
   Case 4
      ClipSprite(#SPRITE_TILESET_SIGHT, 1, 335, 335, 335)
      DisplayTransparentSprite(#SPRITE_TILESET_SIGHT, 16, 15)
   Case 5
      ClipSprite(#SPRITE_TILESET_SIGHT, 335, 335, 335, 335)
      DisplayTransparentSprite(#SPRITE_TILESET_SIGHT, 16, 15)
   Case 6
      ClipSprite(#SPRITE_TILESET_SIGHT, 670, 335, 335, 335)
      DisplayTransparentSprite(#SPRITE_TILESET_SIGHT, 16, 15)
   Case 7
      ClipSprite(#SPRITE_TILESET_SIGHT, 1, 670, 335, 335)
      DisplayTransparentSprite(#SPRITE_TILESET_SIGHT, 16, 15)
   Default  ; zeige alles
EndSelect


EndProcedure

; -------------------------------------------------------------------------------

Procedure hat_eigenschaft(labyx.w,labyy.w,eigensch.w)

Shared labyrinth

            fkampf.w = 0
            If monster(labyrinth(labyx,labyy-i) \objekt) \eigenschaft1 = eigensch
               fkampf = 1
            EndIf
            If monster(labyrinth(labyx,labyy-i) \objekt) \eigenschaft2 = eigensch
               fkampf = 1
            EndIf
            If monster(labyrinth(labyx,labyy-i) \objekt) \eigenschaft3 = eigensch
               fkampf = 1
            EndIf
            If monster(labyrinth(labyx,labyy-i) \objekt) \eigenschaft4 = eigensch
               fkampf = 1
            EndIf
            If monster(labyrinth(labyx,labyy-i) \objekt) \eigenschaft5 = eigensch
               fkampf = 1
            EndIf
            If monster(labyrinth(labyx,labyy-i) \objekt) \eigenschaft6 = eigensch
               fkampf = 1
            EndIf
            If monster(labyrinth(labyx,labyy-i) \objekt) \eigenschaft7 = eigensch
               fkampf = 1
            EndIf

ProcedureReturn = fkampf

EndProcedure

; ------------------------------------------------------------------------------------------

Procedure feld_waehlen()

Shared frame, spieler, akt_spieler, spell_x, spell_y

            Repeat
               ExamineKeyboard()

               If KeyboardPushed(#PB_Key_up)
                  spell_y = spell_y - 1
               EndIf
               If KeyboardPushed(#PB_Key_down)
                  spell_y = spell_y + 1
               EndIf
               If KeyboardPushed(#PB_Key_left)
                  spell_x = spell_x - 1
               EndIf
               If KeyboardPushed(#PB_Key_right)
                  spell_x = spell_x + 1
               EndIf
               If spell_x > 4
                  spell_x = 4
               EndIf
               If spell_y > 4
                  spell_y = 4
               EndIf
               If spell_x < -4
                  spell_x = -4
               EndIf
               If spell_y < -4
                  spell_y = -4
               EndIf

               ClearScreen(0,0,0)
               draw_screen(0, 0)
               draw_character(spieler(akt_spieler) \face, frame)
               laby_rahmen()
               show_logo()
               show_varys()
               show_buttons()
               show_sight()
               ; Maus darstellen
               result = ExamineMouse()
               mmouse_x = MouseX()
               mmouse_y = MouseY()
               mmouse_links  = MouseButton(1)
               mmouse_rechts = MouseButton(2)

        x = 30
        y = 30
        mouseklick = 0
        for i = 1 to 9
           for j = 1 to 9
              if mmouse_x >= x + i * 32 - 32 and mmouse_x <= x + i * 32 and mmouse_y >=  y + j * 32 - 32 and mmouse_y <= y + j * 32
                 spell_x = i - 5
                 spell_y = j - 5
                 if mmouse_links = 1
                    mouseklick = 1
                 endif
              endif
           next
        next


        ; Auswahlfeld
        ClipSprite(#SPRITE_TILESET_LABYRINTH, 0, 32, 32, 32)
        DisplayTransparentSprite(#SPRITE_TILESET_LABYRINTH, 160+spell_x*32, 160+spell_y*32)

        ;Maus darstellen
        ClipSprite(#SPRITE_TILESET_ITEMS, 192, 288, 32, 32)
        DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, mmouse_x, mmouse_y)

        FlipBuffers()
        Delay(50)

     Until KeyboardPushed(#PB_Key_Space) or mouseklick = 1

EndProcedure

; --------------------------------------------------------------------------------------------

Procedure laby_screen()

Shared spieler, akt_spieler, frame

   ClearScreen(0,0,0)
   draw_screen(0, 0)
   draw_character(spieler(akt_spieler) \face, frame)
   laby_rahmen()
   show_logo()
   show_varys()
   show_buttons()
   show_sight()
   ; Maus darstellen
   result = ExamineMouse()
   mmouse_x = MouseX()
   mmouse_y = MouseY()
   mmouse_links  = MouseButton(1)
   mmouse_rechts = MouseButton(2)
   mouse_x_old = mmouse_x
   mouse_y_old = mmouse_y
   ;FlipBuffers()

EndProcedure

; --------------------------------------------------------------------------------------

Procedure neuer_level()

Shared groesse, skills, spieler, akt_spieler, level

     level = level + 1
     groesse = groesse + 1
     If groesse > #MAX_LABY_SIZE
        groesse = #MAX_LABY_SIZE
     EndIf
     gen_laby()

     for i = 1 to #ANZ_SPIELER
        spieler(i) \portal = 1
        spieler(i) \teleport = 1
        spieler(i) \nexus = 1
        spieler(i) \zauberbuch = 1
        spieler(i) \kessel = 1
        spieler(i) \udjat_ben = 1
        spieler(i) \character_x = 1
        spieler(i) \character_y = 1
	spieler(i) \stehlen = 2

        ; Leykontakt ?
        If skills(16,i) \gewaehlt = 1
           spieler(i) \Mana = spieler(i) \MaxMana
        EndIf
        ; First Aid
        If skills(57,i) \gewaehlt = 1
           spieler(i) \Lifepoints = spieler(i) \MaxLifepoints
        EndIf
     next

     laby_screen()
     FlipBuffers()

EndProcedure

; --------------------------------------------------------------------------------------

Procedure spielerschaden(schaden.w, farbe.w)

Shared spieler, akt_spieler, frame

   spieler(akt_spieler) \LifePoints = spieler(akt_spieler) \Lifepoints - schaden
   ; Fleck darstellen
   If farbe = 1     ; Rot
      ClipSprite(#SPRITE_TILESET_MONSTER, 96, 128, 32, 32)
   EndIf
   If farbe = 2     ; Grn
      ClipSprite(#SPRITE_TILESET_MONSTER, 224, 128, 32, 32)
   EndIf
   If farbe = 3     ; Blau
      ClipSprite(#SPRITE_TILESET_MONSTER, 256, 128, 32, 32)
   EndIf
   DisplayTransparentSprite(#SPRITE_TILESET_MONSTER, 160, 160)
   PlaySound(Random(6)+1)
   ;Schaden darstellen
   wohin = ScreenOutput()
   StartDrawing(wohin)
       DrawingMode(1)
       Locate(172, 172)
       FrontColor(255,255,255)  ; Weiss
       DrawText(Str(schaden))
   StopDrawing()
   FlipBuffers()
   Delay(150)
   ;character wieder zeigen
   If labyrinth(spieler(akt_spieler) \character_x,spieler(akt_spieler) \character_y) \feld = #FELD_WASSER
      ClipSprite(#SPRITE_TILESET_LABYRINTH, 96, 160, 32, 32)
      DisplaySprite(#SPRITE_TILESET_LABYRINTH, 160, 160)  ; Erst Wasser
   Else
      ClipSprite(#SPRITE_TILESET_LABYRINTH, 128, 0, 32, 32)
      DisplaySprite(#SPRITE_TILESET_LABYRINTH, 160, 160)  ; Erst Gang
   EndIf
   draw_character(spieler(akt_spieler) \face, frame) ; Dann character
   FlipBuffers()
   ; abziehen
   ; Spieler Tot ?
   If spieler(akt_spieler) \LifePoints < 1
      tot()
   EndIf

EndProcedure

; --------------------------------------------------------------------------------------

Procedure aufstehen(nr.w)

Shared labyrinth, spieler, akt_spieler, xmod, ymod, frame


   For i = 1 To 32
      draw_tile(labyrinth(spieler(akt_spieler) \character_x+xmod, spieler(akt_spieler) \character_y+ymod) \feld, 5+xmod, 5+ymod, 0, 0)

      ClipSprite(#SPRITE_TILESET_MONSTER, 32, 64, 32, 32)
      DisplayTransparentSprite(#SPRITE_TILESET_MONSTER, 160+xmod*32, 160+ymod*32+(32-i))

      draw_tile(labyrinth(spieler(akt_spieler) \character_x+xmod, spieler(akt_spieler) \character_y+ymod+1) \feld, 5+xmod, 5+ymod+1, 0, 0)

      draw_tile(labyrinth(spieler(akt_spieler) \character_x, spieler(akt_spieler) \character_y) \feld, 5, 5, 0, 0)
      draw_character(spieler(akt_spieler) \face, frame)

      Delay(30)
      FlipBuffers()
   Next

EndProcedure

; ------------------------------------------------------------------------------------------

Procedure zauberchance(spell.w)

shared zauber, spieler, akt_spieler, skills

  chance.w = zauber(spell) \chance
  ; Zauberkunst
  if skills(20,akt_spieler) \gewaehlt = 1
     chance = 100
  endif
  ; Zaubern in Ruestung ?
  if skills(26,akt_spieler) \gewaehlt = 0
     chance = chance - spieler(akt_spieler) \ruestung_behinderung * 10
  endif
  procedurereturn = chance

EndProcedure

; ------------------------------------------------------------------------------------------

Procedure spieler_angriffswert()

Shared spieler, akt_spieler, skills, xmod, ymod, labyrinth

   angriff.w = 50 + spieler(akt_spieler) \attack * 10 + spieler(akt_spieler) \Waffe_attack * 10 + habich(#SPELL_LIED_DES_KAMPFES) * 10
   angriff   = angriff - (monster(labyrinth(spieler(akt_spieler) \character_x+xmod,spieler(akt_spieler) \character_y+ymod) \objekt) \abwehr * 10)
   ; Behinderung durch Ruestung ?
   if skills(8,akt_spieler) \gewaehlt = 0
      angriff   = angriff - spieler(akt_spieler) \ruestung_behinderung * 10
   endif
   ; Duelist ?
   If skills(12,akt_spieler) \gewaehlt = 1
      angriff = angriff + reflexe() / 2
   EndIf
   ; Kampfeswut ?
   If skills(13,akt_spieler) \gewaehlt = 1
      angriff = angriff + spieler(akt_spieler) \Strength / 2
   EndIf
   If spieler(akt_spieler) \fluch = #FLUCH_DES_ARES
      angriff = 10
   EndIf
   If angriff > 90
      angriff = 90
   EndIf
   If angriff < 10
      angriff = 10
   EndIf

   ProcedureReturn = angriff

EndProcedure
; ExecutableFormat=
; EOF
