; Alle Routinen fr die Zauber

; -----------------------------------------------------------------------------

Procedure eintragen(nr.w, staerke.w, dauer.w)

Shared aktive, akt_spieler

   ; Alle gleichen Spells rauswerfen
   For i = 1 To 15
      If aktive(i,akt_spieler) \nr = nr
         aktive(i,akt_spieler) \nr = 0
         aktive(i,akt_spieler) \staerke = 0
         aktive(i,akt_spieler) \dauer = 0
      EndIf
   Next

   i = 1
   pos = 0
   Repeat
      If aktive(i,akt_spieler) \nr = 0
         pos = i
      EndIf
      i = i + 1
   Until i > 15 Or pos > 0

   aktive(pos,akt_spieler) \nr = nr
   aktive(pos,akt_spieler) \staerke = staerke
   aktive(pos,akt_spieler) \dauer = dauer

EndProcedure

; -----------------------------------------------------------------------------

Procedure habich(nr.w)

Shared aktive, akt_spieler

   habich = 0
   gef = 0
   For i = 1 To 15
      If aktive(i,akt_spieler) \nr = nr
         habich = aktive(i,akt_spieler) \staerke
         gef = 1
      EndIf
   Next
   If habich = 0 And gef = 1   ; Zauber ohne staerke als 1 melden!
      habich = 1
   EndIf

   ProcedureReturn = habich


EndProcedure

; -----------------------------------------------------------------------------

Procedure sog()

Shared spell_x, spell_y

                  wohin = ScreenOutput()
                  StartDrawing(wohin)
                  DrawingMode(1)
                  For j = 1 To 5
                   For i = 1 To 4
                        laby_screen()
                        If i = 1
                           ClipSprite(#SPRITE_TILESET_ANIMATIONEN, 80, 40, 39, 39)
                        EndIf
                        If i = 2
                           ClipSprite(#SPRITE_TILESET_ANIMATIONEN, 120, 40, 39, 39)
                        EndIf
                        If i = 3
                           ClipSprite(#SPRITE_TILESET_ANIMATIONEN, 1, 80, 39, 39)
                        EndIf
                        If i = 4
                           ClipSprite(#SPRITE_TILESET_ANIMATIONEN, 40, 80, 39, 39)
                        EndIf
                        DisplayTransparentSprite(#SPRITE_TILESET_ANIMATIONEN, 156+spell_x*32, 156+spell_y*32)
                        FlipBuffers()
                        Delay(90)
                     Next
                  Next
                  StopDrawing()

EndProcedure

; --------------------------------------------------------------

Procedure Spraygrafik(radius,dauer)

  z=6*32-15
  For i=1 To dauer
    laby_screen()
    For j=0 To 360 Step 10
      r=Random(1) : g=Random(1) : b=Random(1)
      wohin = ScreenOutput()
      StartDrawing(wohin)
      DrawingMode(1)
      FrontColor (r*255,g*255,b*255)
      Line (z,z,z+Sin(j)*radius,z+Cos(j)*radius)
      StopDrawing()
    Next
    FlipBuffers()
    Delay (100)
  Next
  laby_screen()
  FlipBuffers()

EndProcedure

; -------------------------------------------------------------------------

Procedure Sternchen(x.w,y.w,stern.w)

Shared spieler, akt_spieler, frame

  For i=1 To 20
    xsprites(i)=0:ysprites(i)=0:fsprites(i)=-i-1:rsprites(i)=1
  Next
  For j=1 To 30
   ClearScreen(0,0,0)
   draw_screen(0, 0)
   draw_character(spieler(akt_spieler) \face, frame)
   laby_rahmen()
   show_logo()
   show_varys()
   show_buttons()
   show_sight()

    wohin = ScreenOutput()
    StartDrawing(wohin)
    DrawingMode(1)
    For i=1 To 20
      fsprites(i)=fsprites(i)+rsprites(i)
      If fsprites(i)>=4
         rsprites(i)=-1
      EndIf
      If fsprites(i)=-1
         xsprites(i)=Random(32):ysprites(i)=Random(32):rsprites(i)=1
      EndIf
      If fsprites(i)>=0
        ClipSprite(#SPRITE_TILESET_STARS, fsprites(i)+stern*5, stern*9-9, 9, 9)
        DisplayTransparentSprite(#SPRITE_TILESET_STARS,x+xsprites(i)-5,y+ysprites(i)-5)
      EndIf
    Next
    StopDrawing()
    ;nachricht()
    FlipBuffers()
    Delay(50)
  Next

   ClearScreen(0,0,0)
   draw_screen(0, 0)
   draw_character(spieler(akt_spieler) \face, frame)
   laby_rahmen()
   show_logo()
   show_varys()
   show_buttons()
   show_sight()

  FlipBuffers()

EndProcedure

;---------------------------------------------------------------------------------------

Procedure faechergrafik()
  a=1
  s=5   
  wohin = ScreenOutput()
  StartDrawing(wohin)
  DrawingMode(1)
  While 32*6>a*s
    For i=1 To a
      FrontColor(255,255,255)
      LineXY (32*6-15-i*s,32*6-15-i*s,32*6-15+i*s,32*6-15-i*s)
      LineXY (32*6-15+i*s,32*6-15-i*s,32*6-15+i*s,32*6-15+i*s)
      LineXY (32*6-15+i*s,32*6-15+i*s,32*6-15-i*s,32*6-15+i*s)
      LineXY (32*6-15-i*s,32*6-15+i*s,32*6-15-i*s,32*6-15-i*s)
    Next
    FlipBuffers()
    Delay (25)
    a=a+1
  Wend
  StopDrawing()
  laby_screen()

EndProcedure

; -------------------------------------------------------------------------------

Procedure zauber_rahmen()

Shared sprache, mauszauber
Shared zauberliste, anz_zauber, akt_zauber, spieler, akt_spieler, yplus, yplus2, test, akt_zauber_offset, anzz

   ; Rahmen zeichnen
   vertical(1,1)
   vertical(1,465)
   horizontal(1,1)
   horizontal(624,1)
   horizontal(350,1)
   vertical2(1,350)
   vertical3(25,90)

   wohin = ScreenOutput()
   StartDrawing(wohin)
   FrontColor(0,0,0)
   Box(365,15,260,449) ; berbleibsel des Labyrinths bermalen
   Box(15,365,335,51)  ; berbleibsel des Labyrinths bermalen
   StopDrawing()

   vertical3(25,30)
   vertical3(25,370)

   wohin = ScreenOutput()
   StartDrawing(wohin)
      DrawingMode(1)
      FrontColor(255,255,255)  ; Weiss
      Locate(440, 19)
      If sprache = 0
         DrawText("Waehle Zauber")
      Else
         DrawText("Choose Spell")
      EndIf

      ; In der Mitte wird ausgewaehlt
      FrontColor(150,150,150)
      Box(365,200+yplus2,260,yplus)

      ; Zauber darstellen
      x = 400
      y = 52
      For i = 1 To anzz
         Locate(x,y)
         FrontColor(255,255,255)  ; Weiss
         if i = mauszauber
            FrontColor(1,1,255)  ; Blau
         endif
         DrawText(zauberliste(i + akt_zauber))
         y = y + yplus
      Next
      FrontColor(255,255,255)  ; Weiss

      ;Beschreibung zu momentanem Zauber
      besch = 0
      For i = 1 To 120
         If sprache = 0
            If zauber(i) \name_d = zauberliste(akt_zauber + akt_zauber_offset)
               besch = i
            EndIf
         Else
            If zauber(i) \name_e = zauberliste(akt_zauber + akt_zauber_offset)
               besch = i
            EndIf
         EndIf
      Next
      If besch > 0
         x = 390
         y = 390

         Locate(x,y)
         DrawText("Zirkel:")
  Locate(x+100,y)
  DrawText(Str(zauber(besch) \level))

  y = y + yplus
  Locate(x,y)
  DrawText("Kosten:")
  Locate(x+100,y)
  DrawText(Str(zauber(besch) \kosten))

  y = y + yplus
  Locate(x,y)
  DrawText("Macht:")
  Locate(x+100,y)
  DrawText(Str(Power()))

  y = y + yplus
  Locate(x,y)
  DrawText("Dauer:")
  Locate(x+100,y)
  DrawText(Str(zauber(besch) \dauer))

  y = y + yplus
  Locate(x,y)
  DrawText("Chance:")
  Locate(x+100,y)
  DrawText(Str(zauber(besch) \chance))

         Locate(25,400)
         If sprache = 0
            DrawText(zauber(besch) \besch_d1)
         Else
            DrawText(zauber(besch) \besch_e1)
         EndIf
         Locate(25,420)
         If sprache = 0
            DrawText(zauber(besch) \besch_d2)
         Else
            DrawText(zauber(besch) \besch_e2)
         EndIf

      EndIf


   StopDrawing()

EndProcedure


; ------------------------------------------------------------------------------------------

Procedure los()

Shared spell_x, spell_y, labyrinth, blocked, spieler, akt_spieler

            blocked = 0
            If spell_x = 0 Or spell_y = 0   ; Nur Horizontal oder Vertikal erlaubt
               If spell_x < 0    ; links vom character
                  x = spieler(akt_spieler) \character_x + spell_x + 1
                  y = spieler(akt_spieler) \character_y
           For i = x To spieler(akt_spieler) \character_x
                      If labyrinth(x,y) \feld = #FELD_MAUER Or labyrinth(x,y) \feld = #FELD_GEHEIMGANG Or labyrinth(x,y) \feld = #FELD_TUER2 Or labyrinth(x,y) \feld = #FELD_EIS
           blocked = 1
        EndIf
                      x = x + 1
    Next
        EndIf
        If spell_x > 0    ; rechts vom character
           x = spieler(akt_spieler) \character_x
    y = spieler(akt_spieler) \character_y
           For i = x To spieler(akt_spieler) \character_x + spell_x - 1
                      If labyrinth(x,y) \feld = #FELD_MAUER Or labyrinth(x,y) \feld = #FELD_GEHEIMGANG Or labyrinth(x,y) \feld = #FELD_TUER2 Or labyrinth(x,y) \feld = #FELD_EIS
           blocked = 1
        EndIf
                      x = x + 1
    Next
        EndIf
        If spell_y < 0    ; oberhalb vom character
           x = spieler(akt_spieler) \character_x
    y = spieler(akt_spieler) \character_y + spell_y ;+ 1
           For i = y To spieler(akt_spieler) \character_y
                      If labyrinth(x,y) \feld = #FELD_MAUER Or labyrinth(x,y) \feld = #FELD_GEHEIMGANG Or labyrinth(x,y) \feld = #FELD_TUER2 Or labyrinth(x,y) \feld = #FELD_EIS
           blocked = 1
        EndIf
                      y = y + 1
    Next
        EndIf
        If spell_y > 0   ; unterhalb vom character
           x = spieler(akt_spieler) \character_x
    y = spieler(akt_spieler) \character_y
           For i = y To spieler(akt_spieler) \character_y + spell_y - 1
                      If labyrinth(x,y) \feld = #FELD_MAUER Or labyrinth(x,y) \feld = #FELD_GEHEIMGANG Or labyrinth(x,y) \feld = #FELD_TUER2 Or labyrinth(x,y) \feld = #FELD_EIS
           blocked = 1
        EndIf
                      y = y + 1
    Next
        EndIf
            Else
               blocked = 1
            EndIf

EndProcedure

; ------------------------------------------------------------------------------------------

Procedure monsterschaden(schaden.w)

Shared labyrinth, spieler, akt_spieler, spell_x, spell_y

            labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \lebenspunkte = labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \lebenspunkte - schaden
            ; Roten Fleck darstellen
            ClipSprite(#SPRITE_TILESET_MONSTER, 96, 128, 32, 32)
            DisplayTransparentSprite(#SPRITE_TILESET_MONSTER, 160+ spell_x*32, 160 + spell_y*32)
            ;Schaden darstellen
            wohin = ScreenOutput()
            StartDrawing(wohin)
               DrawingMode(1)
               Locate(172+ spell_x*32, 172 + spell_y*32)
               FrontColor(255,255,255)  ; Weiss
               DrawText(Str(schaden))
            StopDrawing()
            FlipBuffers()
            Delay(150)
            ; Monster tot ?
            If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \lebenspunkte < 1
               setlaby(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,#FELD_LEER,0,0) ; feld leeren
               spieler(akt_spieler) \mks = spieler(akt_spieler) \mks + 1
            EndIf

EndProcedure

; ------------------------------------------------------------------------------------------
; Attack Spell

Procedure attack_spell(aussehen.w)
Shared spell_x, spell_y

                  If spell_x > 0
                     zielx = 32*spell_x
                  EndIf
                  If spell_x < 0
                     zielx = -32 * spell_x
                  EndIf
                  If spell_y > 0
                     ziely = 32 *spell_y
                  EndIf
                  If spell_y < 0
                     ziely = -32 * spell_y
                  EndIf

                  If spell_x > 0
                     i = 1
                     Repeat
                        laby_screen()
                        If aussehen = 1
                           ClipSprite(#SPRITE_TILESET_MONSTER, 64,160, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_MONSTER, 160+i, 160)
                        EndIf
                        If aussehen = 2
                           ClipSprite(#SPRITE_TILESET_ITEMS, 32,384, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160+i, 160)
                        EndIf
                        If aussehen = 3
                           ClipSprite(#SPRITE_TILESET_ITEMS, 416,320, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160+i, 160)
                        EndIf
                        If aussehen = 4
                           ClipSprite(#SPRITE_TILESET_ITEMS, 448,320, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160+i, 160)
                        EndIf
                        If aussehen = 5
                           If spell_x > 0
                              ClipSprite(#SPRITE_TILESET_ITEMS, 320,320, 32, 32)
                              DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160+i, 160)
                           EndIf
                           If spell_x < 0
                              ClipSprite(#SPRITE_TILESET_ITEMS, 384,320, 32, 32)
                              DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160-i, 160)
                           EndIf
                           If spell_y > 0
                              ClipSprite(#SPRITE_TILESET_ITEMS, 352,320, 32, 32)
                              DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160, 160+i)
                           EndIf
                           If spell_y < 0
                              ClipSprite(#SPRITE_TILESET_ITEMS, 288,320, 32, 32)
                              DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160, 160-i)
                           EndIf
                        EndIf
                        If aussehen = 6
                           ClipSprite(#SPRITE_TILESET_ITEMS, 480,384, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160+i, 160)
                        EndIf
                        FlipBuffers()
                        i = i + 2
                     Until i >= zielx
                   EndIf
                   If spell_x < 0
                      i = 1
                      Repeat
                        laby_screen()
                        If aussehen = 1
                           ClipSprite(#SPRITE_TILESET_MONSTER, 64,160, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_MONSTER, 160-i, 160)
                        EndIf
                        If aussehen = 2
                           ClipSprite(#SPRITE_TILESET_ITEMS, 32,384, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160-i, 160)
                        EndIf
                        If aussehen = 3
                           ClipSprite(#SPRITE_TILESET_ITEMS, 416,320, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160-i, 160)
                        EndIf
                        If aussehen = 4
                           ClipSprite(#SPRITE_TILESET_ITEMS, 448,320, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160-i, 160)
                        EndIf
                        If aussehen = 5
                           If spell_x > 0
                              ClipSprite(#SPRITE_TILESET_ITEMS, 320,320, 32, 32)
                              DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160+i, 160)
                           EndIf
                           If spell_x < 0
                              ClipSprite(#SPRITE_TILESET_ITEMS, 384,320, 32, 32)
                              DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160-i, 160)
                           EndIf
                           If spell_y > 0
                              ClipSprite(#SPRITE_TILESET_ITEMS, 352,320, 32, 32)
                              DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160, 160+i)
                           EndIf
                           If spell_y < 0
                              ClipSprite(#SPRITE_TILESET_ITEMS, 288,320, 32, 32)
                              DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160, 160-i)
                           EndIf
                        EndIf
                        If aussehen = 6
                           ClipSprite(#SPRITE_TILESET_ITEMS, 480,384, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160-i, 160)
                        EndIf
                        FlipBuffers()
                        i = i + 2
                     Until i >= zielx
                   EndIf
                   If spell_y > 0
                     i = 1
                     Repeat
                        laby_screen()
                        If aussehen = 1
                           ClipSprite(#SPRITE_TILESET_MONSTER, 64,160, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_MONSTER, 160, 160+i)
                        EndIf
                        If aussehen = 2
                           ClipSprite(#SPRITE_TILESET_ITEMS, 32,384, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160, 160+i)
                        EndIf
                        If aussehen = 3
                           ClipSprite(#SPRITE_TILESET_ITEMS, 416,320, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160, 160+i)
                        EndIf
                        If aussehen = 4
                           ClipSprite(#SPRITE_TILESET_ITEMS, 448,320, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160, 160+i)
                        EndIf
                        If aussehen = 5
                           If spell_x > 0
                              ClipSprite(#SPRITE_TILESET_ITEMS, 320,320, 32, 32)
                              DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160+i, 160)
                           EndIf
                           If spell_x < 0
                              ClipSprite(#SPRITE_TILESET_ITEMS, 384,320, 32, 32)
                              DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160-i, 160)
                           EndIf
                           If spell_y > 0
                              ClipSprite(#SPRITE_TILESET_ITEMS, 352,320, 32, 32)
                              DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160, 160+i)
                           EndIf
                           If spell_y < 0
                              ClipSprite(#SPRITE_TILESET_ITEMS, 288,320, 32, 32)
                              DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160, 160-i)
                           EndIf
                        EndIf
                        If aussehen = 6
                           ClipSprite(#SPRITE_TILESET_ITEMS, 480,384, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160, 160+i)
                        EndIf
                        FlipBuffers()
                        i = i + 2
                     Until i >= ziely
                   EndIf
                   If spell_y < 0
                     i = 1
                     Repeat
                        laby_screen()
                        If aussehen = 1
                           ClipSprite(#SPRITE_TILESET_MONSTER, 64,160, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_MONSTER, 160, 160-i)
                        EndIf
                        If aussehen = 2
                           ClipSprite(#SPRITE_TILESET_ITEMS, 32,384, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160, 160-i)
                        EndIf
                        If aussehen = 3
                           ClipSprite(#SPRITE_TILESET_ITEMS, 416,320, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160, 160-i)
                        EndIf
                        If aussehen = 4
                           ClipSprite(#SPRITE_TILESET_ITEMS, 448,320, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160, 160-i)
                        EndIf
                        If aussehen = 5
                           If spell_x > 0
                              ClipSprite(#SPRITE_TILESET_ITEMS, 320,320, 32, 32)
                              DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160+i, 160)
                           EndIf
                           If spell_x < 0
                              ClipSprite(#SPRITE_TILESET_ITEMS, 384,320, 32, 32)
                              DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160-i, 160)
                           EndIf
                           If spell_y > 0
                              ClipSprite(#SPRITE_TILESET_ITEMS, 352,320, 32, 32)
                              DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160, 160+i)
                           EndIf
                           If spell_y < 0
                              ClipSprite(#SPRITE_TILESET_ITEMS, 288,320, 32, 32)
                              DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160, 160-i)
                           EndIf
                        EndIf
                        If aussehen = 6
                           ClipSprite(#SPRITE_TILESET_ITEMS, 480,384, 32, 32)
                           DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, 160, 160-i)
                        EndIf
                        FlipBuffers()
                        i = i + 2
                     Until i >= ziely
                   EndIf

EndProcedure

; ------------------------------------------------------------------------------------------

Procedure misslungen()

Shared sprache

               If sprache = 0
                  nachricht ("Der Zauber ist dir misslungen!")
               Else
                  nachricht ("The spell did not work!")
               EndIf
               Delay(600)

EndProcedure

; ------------------------------------------------------------------------------------------

Procedure cast_it()

Shared sprache, zauberliste, anz_zauber, akt_zauber, frame, spieler, akt_spieler, spell_x, spell_y, blocked
Shared akt_zauber_offset
Shared labyrinth, skills, groesse, monster, aktive,schriftrolle


      If zauberliste(akt_zauber + akt_zauber_offset) = "Heilung" Or zauberliste(akt_zauber + akt_zauber_offset) = "Heal"
         spell.w = #SPELL_HEILUNG
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            endif
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_HOLY)
               zauber(spell) \chance = zauber(spell) \chance + 5
               spieler(akt_spieler) \Lifepoints = spieler(akt_spieler) \Lifepoints + Random(3) + power() * 2
               If spieler(akt_spieler) \Lifepoints > spieler(akt_spieler) \MaxLifepoints
                  spieler(akt_spieler) \Lifepoints = spieler(akt_spieler) \MaxLifepoints
               EndIf
               For j = 1 To 5
                  For i = 1 To 4
                     ClipSprite(#SPRITE_TILESET_ANIMATIONEN, i*40-40, 1, 39, 39)
                     DisplayTransparentSprite(#SPRITE_TILESET_ANIMATIONEN, 156, 156)
                     FlipBuffers()
                     Delay(70)
                  Next
               Next
               laby_screen()
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Allheilung" Or zauberliste(akt_zauber + akt_zauber_offset) = "True Healing"
         spell.w = #SPELL_ALLHEILUNG
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_HOLY)
               zauber(spell) \chance = zauber(spell) \chance + 5
               spieler(akt_spieler) \Lifepoints = spieler(akt_spieler) \MaxLifepoints
               For j = 1 To 5
                  For i = 1 To 4
                     ClipSprite(#SPRITE_TILESET_ANIMATIONEN, i*40-40, 1, 39, 39)
                     DisplayTransparentSprite(#SPRITE_TILESET_ANIMATIONEN, 156, 156)
                     FlipBuffers()
                     Delay(70)
                  Next
               Next
               laby_screen()
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Schmerzen lindern" Or zauberliste(akt_zauber + akt_zauber_offset) = "Ease pain"
         spell.w = #SPELL_SCHMERZEN_LINDERN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_HOLY)
               zauber(spell) \chance = zauber(spell) \chance + 5
               spieler(akt_spieler) \Lifepoints = spieler(akt_spieler) \Lifepoints + Random(3) + power() * 3
               If spieler(akt_spieler) \Lifepoints > spieler(akt_spieler) \MaxLifepoints
                  spieler(akt_spieler) \Lifepoints = spieler(akt_spieler) \MaxLifepoints
               EndIf
               For j = 1 To 5
                  For i = 1 To 4
                     ClipSprite(#SPRITE_TILESET_ANIMATIONEN, i*40-40, 1, 39, 39)
                     DisplayTransparentSprite(#SPRITE_TILESET_ANIMATIONEN, 156, 156)
                     FlipBuffers()
                     Delay(70)
                  Next
               Next
               laby_screen()
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Mondlicht" Or zauberliste(akt_zauber + akt_zauber_offset) = "Moonlight"
         spell.w = #SPELL_MONDLICHT
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_FLAME)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,5)
               eintragen(#SPELL_LICHT,3,zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Syphon"
         spell = #SPELL_SYPHON
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_DARKNESS)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,4)
               eintragen(spell,3,zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Flueche brechen" Or zauberliste(akt_zauber + akt_zauber_offset) = "Remove Curses"
         spell.w = #SPELL_FLUECHE_BRECHEN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_HOLY)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,5)
        spieler(akt_spieler) \fluch = 0
        spieler(akt_spieler) \fluchdauer = 0
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Winteratem" Or zauberliste(akt_zauber + akt_zauber_offset) = "Breath of Winter"
         spell.w = #SPELL_WINTERATEM
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_DING)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,5)
               eintragen(spell,1,zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Flammenaura" Or zauberliste(akt_zauber + akt_zauber_offset) = "Aura of Fire"
         spell.w = #SPELL_FEUERAURA
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_FLAME)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,6)
               eintragen(spell,1,zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Fallensinn" Or zauberliste(akt_zauber + akt_zauber_offset) = "Trap Alert"
         spell.w = #SPELL_FALLENSINN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_DING)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,5)
               eintragen(spell,1,zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Feuerschild" Or zauberliste(akt_zauber + akt_zauber_offset) = "Fireshield"
         spell.w = #SPELL_FEUERSCHILD
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_FLAME)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,5)
               eintragen(spell,1,zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Eisschild" Or zauberliste(akt_zauber + akt_zauber_offset) = "Icshield"
         spell.w = #SPELL_EISSCHILD
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_DING)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,5)
               eintragen(spell,1,zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Macht" Or zauberliste(akt_zauber + akt_zauber_offset) = "Might"
         spell.w = #SPELL_MACHT
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_FLAME)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,5)
               eintragen(spell,0,zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Glueckszauber" Or zauberliste(akt_zauber + akt_zauber_offset) = "Luck Spell"
         spell.w = #SPELL_GLUECKSZAUBER
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_SUCCESS)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,5)
               eintragen(spell,power(),zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Staerkezauber" Or zauberliste(akt_zauber + akt_zauber_offset) = "Strength Spell"
         spell.w = #SPELL_STAERKEZAUBER
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_SUCCESS)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,5)
               eintragen(spell,power(),zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Nordlicht" Or zauberliste(akt_zauber + akt_zauber_offset) = "Polar Light"
         spell.w = #SPELL_NORDLICHT
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_FLAME)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,5)
               eintragen(#SPELL_LICHT,5,zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Sonnenlicht" Or zauberliste(akt_zauber + akt_zauber_offset) = "Sunlight"
         spell.w = #SPELL_SONNENLICHT
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_FLAME)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,5)
               eintragen(#SPELL_LICHT,6,zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Wahrlicht" Or zauberliste(akt_zauber + akt_zauber_offset) = "True Light"
         spell.w = #SPELL_WAHRLICHT
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_FLAME)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,5)
               eintragen(#SPELL_LICHT,7,zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Irrlicht" Or zauberliste(akt_zauber + akt_zauber_offset) = "Will-of-the-Whisp"
         spell.w = #SPELL_IRRLICHT
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_FLAME)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,5)
               eintragen(#SPELL_LICHT,4,zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Vergolden" Or zauberliste(akt_zauber + akt_zauber_offset) = "Turn-to-gold"
         spell.w = #SPELL_VERGOLDEN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_DING)
               zauber(spell) \chance = zauber(spell) \chance + 5
               vergolden()
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Fallen zeigen" Or zauberliste(akt_zauber + akt_zauber_offset) = "Show Traps"
         spell.w = #SPELL_FALLEN_ZEIGEN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_LAAA)
               zauber(spell) \chance = zauber(spell) \chance + 5
               faechergrafik()
               x1.w = spieler(akt_spieler) \character_x - power() * 2
               y1.w = spieler(akt_spieler) \character_y - power() * 2
               x2.w = spieler(akt_spieler) \character_x + power() * 2
               y2.w = spieler(akt_spieler) \character_x + power() * 2
               If x1 < 1
                  x1 = 1
               EndIf
               If y1 < 1
                  y1 = 1
               EndIf
               If x2 > groesse
                  x2 = groesse
               EndIf
               If y2 > groesse
                  y2 = groesse
               EndIf
               For i = x1 To x2
                  For j = y1 To y2
                     If labyrinth(i,j) \feld >= #FELD_SPEERFALLE1 And labyrinth(i,j) \feld <= #FELD_RUNENFALLE_FLUCH1
                        setlaby(i,j,labyrinth(i,j)\feld+9,0,0)
                     EndIf
                  Next
               Next
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Exorzismus" Or zauberliste(akt_zauber + akt_zauber_offset) = "Exorcism"
         spell.w = #SPELL_EXORZISMUS
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_LAAA)
               zauber(spell) \chance = zauber(spell) \chance + 5
               faechergrafik()
               x1.w = spieler(akt_spieler) \character_x - power() * 2
               y1.w = spieler(akt_spieler) \character_y - power() * 2
               x2.w = spieler(akt_spieler) \character_x + power() * 2
               y2.w = spieler(akt_spieler) \character_x + power() * 2
               If x1 < 1
                  x1 = 1
               EndIf
               If y1 < 1
                  y1 = 1
               EndIf
               If x2 > groesse
                  x2 = groesse
               EndIf
               If y2 > groesse
                  y2 = groesse
               EndIf
               For i = x1 To x2
                  For j = y1 To y2
                     If labyrinth(i,j) \feld > 200  ; Monster
                        If monster(labyrinth(i,j) \objekt) \art = 3
                           setlaby(i,j,#FELD_LEER,0,0)
                        EndIf
                     EndIf
                  Next
               Next
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Feuer bannen" Or zauberliste(akt_zauber + akt_zauber_offset) = "Banish Fire"
         spell.w = #SPELL_FEUER_BANNEN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_LAAA)
               zauber(spell) \chance = zauber(spell) \chance + 5
               faechergrafik()
               x1.w = spieler(akt_spieler) \character_x - power() * 2
               y1.w = spieler(akt_spieler) \character_y - power() * 2
               x2.w = spieler(akt_spieler) \character_x + power() * 2
               y2.w = spieler(akt_spieler) \character_x + power() * 2
               If x1 < 1
                  x1 = 1
               EndIf
               If y1 < 1
                  y1 = 1
               EndIf
               If x2 > groesse
                  x2 = groesse
               EndIf
               If y2 > groesse
                  y2 = groesse
               EndIf
               For i = x1 To x2
                  For j = y1 To y2
                     If labyrinth(i,j) \feld = #FELD_FEUER1 Or labyrinth(i,j) \feld = #FELD_FEUER2 Or labyrinth(i,j) \feld = #FELD_FEUER3 Or labyrinth(i,j) \feld = #FELD_LAGERFEUER
                        setlaby(i,j,#FELD_LEER,0,0)
                     EndIf
                  Next
               Next
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Fallen entfernen" Or zauberliste(akt_zauber + akt_zauber_offset) = "Remove Traps"
         spell.w = #SPELL_FALLEN_ENTFERNEN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_LAAA)
               zauber(spell) \chance = zauber(spell) \chance + 5
               faechergrafik()
               x1.w = spieler(akt_spieler) \character_x - power() * 2
               y1.w = spieler(akt_spieler) \character_y - power() * 2
               x2.w = spieler(akt_spieler) \character_x + power() * 2
               y2.w = spieler(akt_spieler) \character_x + power() * 2
               If x1 < 1
                  x1 = 1
               EndIf
               If y1 < 1
                  y1 = 1
               EndIf
               If x2 > groesse
                  x2 = groesse
               EndIf
               If y2 > groesse
                  y2 = groesse
               EndIf
               For i = x1 To x2
                  For j = y1 To y2
                     If labyrinth(i, j) \feld >= #FELD_SPEERFALLE1 And labyrinth(i,j) \feld <= #FELD_RUNENFALLE_FLUCH2
                        setlaby(i,j,#FELD_LEER,0,0)
                      EndIf
                  Next
               Next
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Schutzschild" Or zauberliste(akt_zauber + akt_zauber_offset) = "Shield"
         spell.w = #SPELL_SCHUTZSCHILD
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_DING)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,2)
               eintragen(spell,power() * 2,zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Weisser Schutz" Or zauberliste(akt_zauber + akt_zauber_offset) = "White Protection"
         spell.w = #SPELL_WEISSER_SCHUTZ
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_DING)
               zauber(18) \chance = zauber(spell) \chance + 5
               sternchen(160,160,2)
               eintragen(#SPELL_SCHUTZSCHILD,power() * 2,zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Vergiftung heilen" Or zauberliste(akt_zauber + akt_zauber_offset) = "Heal poison"
         spell.w = #SPELL_VERGIFTUNG_HEILEN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_HOLY)
               zauber(spell) \chance = zauber(spell) \chance + 5
               For j = 1 To 5
                  For i = 1 To 4
                     ClipSprite(#SPRITE_TILESET_ANIMATIONEN, i*40-40, 1, 39, 39)
                     DisplayTransparentSprite(#SPRITE_TILESET_ANIMATIONEN, 156, 156)
                     FlipBuffers()
                     Delay(70)
                  Next
               Next
               spieler(akt_spieler) \gift = 0
               spieler(akt_spieler) \giftdauer = 0
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Erdstaerke" Or zauberliste(akt_zauber + akt_zauber_offset) = "Earthen strength"
         spell.w = #SPELL_ERDSTAERKE
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_DING)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,2)
               eintragen(spell,power(),zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Terminus"
         spell.w = #SPELL_TERMINUS
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_DING)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,2)
               For i = 1 To 15
                  If aktive(i,akt_spieler) \dauer > 0
                     spieler(akt_spieler) \Mana = spieler(akt_spieler) \Mana + 1
                     aktive(i,akt_spieler) \nr = 0
                     aktive(i,akt_spieler) \staerke = 0
                     aktive(i,akt_spieler) \dauer = 0
                  EndIf
               Next
               If spieler(akt_spieler) \Mana > spieler(akt_spieler) \MaxMana
                  spieler(akt_spieler) \Mana = spieler(akt_spieler) \MaxMana
               EndIf
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Magische Flamme" Or zauberliste(akt_zauber + akt_zauber_offset) = "Magic Flame"
         spell.w = #SPELL_MAGISCHE_FLAMME
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_FLAME)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,5)
               eintragen(#SPELL_LICHT,4,zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Sternenlicht" Or zauberliste(akt_zauber + akt_zauber_offset) = "Starlight"
         spell.w = #SPELL_STERNENLICHT
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_FLAME)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,5)
               eintragen(#SPELL_LICHT,4,zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Magieschutz" Or zauberliste(akt_zauber + akt_zauber_offset) = "Ward against Magic"
         spell.w = #SPELL_MAGIESCHUTZ
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_SUCCESS)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,6)
               eintragen(spell,1,zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Schutz vor Geschossen" Or zauberliste(akt_zauber + akt_zauber_offset) = "Ward against Missiles"
         spell.w = #SPELL_SCHUTZ_VOR_GESCHOSSEN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_SUCCESS)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,6)
               eintragen(spell,power(),zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Hexensicht" Or zauberliste(akt_zauber + akt_zauber_offset) = "Witch Sight"
         spell.w = #SPELL_HEXENSICHT
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_SUCCESS)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,6)
               eintragen(spell,power(),zauber(spell) \dauer * power())
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Verlaengern" Or zauberliste(akt_zauber + akt_zauber_offset) = "Extend"
         spell.w = #SPELL_VERLAENGERN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_SUCCESS)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,6)
               For i = 1 To 15
                  If aktive(i,akt_spieler) \dauer > 0
                     aktive(i,akt_spieler) \dauer = aktive(i,akt_spieler) \dauer + power()
                  EndIf
               Next
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Verschwinden" Or zauberliste(akt_zauber + akt_zauber_offset) = "Vanish"
         spell.w = #SPELL_VERSCHWINDEN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell) 
               PlaySound(#SOUND_WIND)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,4)
               Repeat
                  neux=Random(groesse-3)+2
                  neuy=Random(groesse-3)+2
               Until labyrinth(neux,neuy)\feld=#FELD_LEER
               spieler(akt_spieler) \character_x = neux
               spieler(akt_spieler) \character_y = neuy
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Fallen spueren" Or zauberliste(akt_zauber + akt_zauber_offset) = "Sende Traps"
         spell.w = #SPELL_FALLEN_SPUEHREN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_HARP)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,5)
               eintragen(spell,0,power() * zauber(spell) \dauer)
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Erde spueren" Or zauberliste(akt_zauber + akt_zauber_offset) = "Sense Earth"
         spell.w = #SPELL_ERDE_SPUEHREN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_HARP)
               zauber(spell) \chance = zauber(spell) \chance + 5
               karte(15,15)
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Magic Apple"
         spell.w = #SPELL_MAGIC_APPLE
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(spell0) < zauber(spell) \chance  or schriftrolle = 1
               PlaySound(#SOUND_CHAOS)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,6)
               i = 0
               Repeat
                  i = i + 1
               Until i > 40 Or inventory(i,akt_spieler) \name = 0   ; Platz vorhanden!
               If i < 41
                  inventory(i,akt_spieler) \name = #OBJGRAFIK_APFEL
                  inventory(i,akt_spieler) \art  = 3      ; Nahrung
                  inventory(i,akt_spieler) \benutzt = 0
                  inventory(i,akt_spieler) \attri1 = 30  ; Naehrwert
               EndIf
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Zauberschwert" Or zauberliste(akt_zauber + akt_zauber_offset) = "Eldritch Sword"
         spell.w = #SPELL_ZAUBERSCHWERT
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_CHAOS)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,6)
               i = 0
               Repeat
                  i = i + 1
               Until i > 40 Or inventory(i,akt_spieler) \name = 0   ; Platz vorhanden!
               If i < 41
                  inventory(i,akt_spieler) \name = #OBJGRAFIK_ZAUBERSCHWERT2
                  inventory(i,akt_spieler) \art  = gegenstand(163) \art      ; Waffe
                  inventory(i,akt_spieler) \benutzt = 0
                  inventory(i,akt_spieler) \attri1 = gegenstand(163) \attri1    ; Attack
                  inventory(i,akt_spieler) \attri2 = gegenstand(163) \attri2    ; Damage
                  inventory(i,akt_spieler) \attri3 = gegenstand(163) \attri3    ; Critical
                  inventory(i,akt_spieler) \attri4 = gegenstand(163) \attri4    ; Haende
               EndIf
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Zauberschild" Or zauberliste(akt_zauber + akt_zauber_offset) = "Eldritch Shield"
         spell.w = #SPELL_ZAUBERSCHILD
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_CHAOS)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,6)
               i = 0
               Repeat
                  i = i + 1
               Until i > 40 Or inventory(i,akt_spieler) \name = 0   ; Platz vorhanden!
               If i < 41
                  inventory(i,akt_spieler) \name = #OBJGRAFIK_REGENBOGENSCHILD
                  inventory(i,akt_spieler) \art  = gegenstand(#OBJGRAFIK_REGENBOGENSCHILD) \art      ; Waffe
                  inventory(i,akt_spieler) \benutzt = 0
                  inventory(i,akt_spieler) \attri1 = gegenstand(#OBJGRAFIK_REGENBOGENSCHILD) \attri1    ; Attack
                  inventory(i,akt_spieler) \attri2 = gegenstand(#OBJGRAFIK_REGENBOGENSCHILD) \attri2    ; Damage
                  inventory(i,akt_spieler) \attri3 = gegenstand(#OBJGRAFIK_REGENBOGENSCHILD) \attri3    ; Critical
                  inventory(i,akt_spieler) \attri4 = gegenstand(#OBJGRAFIK_REGENBOGENSCHILD) \attri4    ; Haende
               EndIf
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Zauberpfeile" Or zauberliste(akt_zauber + akt_zauber_offset) = "Magic Arrows"
         spell.w = #SPELL_ZAUBERPFEILE
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_CHAOS)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,6)
               i = 0
               Repeat
                  i = i + 1
               Until i > 40 Or inventory(i,akt_spieler) \name = 0   ; Platz vorhanden!
               If i < 41
                  inventory(i,akt_spieler) \name = #OBJGRAFIK_KOECHER
                  inventory(i,akt_spieler) \art  = gegenstand(147) \art      ; Munition
                  inventory(i,akt_spieler) \benutzt = 0
                  inventory(i,akt_spieler) \attri1 = gegenstand(147) \attri1    ; Attack
                  inventory(i,akt_spieler) \attri2 = gegenstand(147) \attri2    ; Damage
                  inventory(i,akt_spieler) \attri3 = gegenstand(147) \attri3    ; Critical
                  inventory(i,akt_spieler) \attri4 = gegenstand(147) \attri4    ; Haende
               EndIf
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Erfrischung" Or zauberliste(akt_zauber + akt_zauber_offset) = "Refresh"
         spell.w = #SPELL_ERFRISCHUNG
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_GULP)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,1)
               spieler(akt_spieler) \Durst = spieler(akt_spieler) \Durst - 30
               If spieler(akt_spieler) \Durst < 0
                  spieler(akt_spieler) \Durst = 0
               EndIf
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Lied der Reise" Or zauberliste(akt_zauber + akt_zauber_offset) = "Song of Travels"
         spell.w = #SPELL_LIED_DER_REISE
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_WIND)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,5)
               ; Alle anderen Songs beenden
               For i = 1 To 15
                  If aktive(i,akt_spieler) \dauer = 999
                     aktive(i,akt_spieler) \nr = 0
                     aktive(i,akt_spieler) \staerke = 0
                     aktive(i,akt_spieler) \dauer = 0
                  EndIf
               Next
               eintragen(#SPELL_RUECKENWIND,1,999)
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Lied des Kampfes" Or zauberliste(akt_zauber + akt_zauber_offset) = "Song of Battle"
         spell.w = #SPELL_LIED_DES_KAMPFES
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_HARP)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,1)
               ; Alle anderen Songs beenden
               For i = 1 To 15
                  If aktive(i,akt_spieler) \dauer = 999
                     aktive(i,akt_spieler) \nr = 0
                     aktive(i,akt_spieler) \staerke = 0
                     aktive(i,akt_spieler) \dauer = 0
                  EndIf
               Next
               eintragen(spell,1,999)
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Lied der Hoffnung" Or zauberliste(akt_zauber + akt_zauber_offset) = "Song of Hope"
         spell.w = #SPELL_LIED_DER_HOFFNUNG
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_HARP)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,1)
               ; Alle anderen Songs beenden
               For i = 1 To 15
                  If aktive(i,akt_spieler) \dauer = 999
                     aktive(i,akt_spieler) \nr = 0
                     aktive(i,akt_spieler) \staerke = 0
                     aktive(i,akt_spieler) \dauer = 0
                  EndIf
               Next
               eintragen(spell,1,999)
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Lied der Einsamkeit" Or zauberliste(akt_zauber + akt_zauber_offset) = "Song of Loneliness"
         spell.w = #SPELL_LIED_DER_EINSAMKEIT
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_HARP)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,1)
               ; Alle anderen Songs beenden
               For i = 1 To 15
                  If aktive(i,akt_spieler) \dauer = 999
                     aktive(i,akt_spieler) \nr = 0
                     aktive(i,akt_spieler) \staerke = 0
                     aktive(i,akt_spieler) \dauer = 0
                  EndIf
               Next
               eintragen(spell,1,999)
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Lied des Todes" Or zauberliste(akt_zauber + akt_zauber_offset) = "Song of Death"
         spell.w = #SPELL_LIED_DES_TODES
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_HARP)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,1)
               ; Alle anderen Songs beenden
               For i = 1 To 15
                  If aktive(i,akt_spieler) \dauer = 999
                     aktive(i,akt_spieler) \nr = 0
                     aktive(i,akt_spieler) \staerke = 0
                     aktive(i,akt_spieler) \dauer = 0
                  EndIf
               Next
               eintragen(spell,1,999)
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
     If zauberliste(akt_zauber + akt_zauber_offset) = "Lied der Magie" Or zauberliste(akt_zauber + akt_zauber_offset) = "Song of Magic"
         spell.w = #SPELL_LIED_DER_MAGIE
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_HARP)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,1)
               ; Alle anderen Songs beenden
               For i = 1 To 15
                  If aktive(i,akt_spieler) \dauer = 999
                     aktive(i,akt_spieler) \nr = 0
                     aktive(i,akt_spieler) \staerke = 0
                     aktive(i,akt_spieler) \dauer = 0
                  EndIf
               Next
               eintragen(spell,1,999)
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Lied des Lebens" Or zauberliste(akt_zauber + akt_zauber_offset) = "Song of Life"
         spell.w = #SPELL_LIED_DES_LEBENS
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_HARP)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,1)
               ; Alle anderen Songs beenden
               For i = 1 To 15
                  If aktive(i,akt_spieler) \dauer = 999
                     aktive(i,akt_spieler) \nr = 0
                     aktive(i,akt_spieler) \staerke = 0
                     aktive(i,akt_spieler) \dauer = 0
                  EndIf
               Next
               eintragen(spell,1,999)
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Rueckenwind" Or zauberliste(akt_zauber + akt_zauber_offset) = "Helpful Winds"
         spell.w = #SPELL_RUECKENWIND
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_WIND)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,5)
               eintragen(spell,3,power() * zauber(spell) \dauer)
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Fliegen" Or zauberliste(akt_zauber + akt_zauber_offset) = "Fly"
         spell.w = #SPELL_FLIEGEN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_WIND)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,5)
               eintragen(spell,0,power() * zauber(spell) \dauer)
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Uebers Wasser gehen" Or zauberliste(akt_zauber + akt_zauber_offset) = "Walk on Water"
         spell.w = #SPELL_UEBERS_WASSER_GEHEN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  or schriftrolle = 1
               PlaySound(#SOUND_WIND)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(160,160,5)
               eintragen(spell,0,power() * zauber(spell) \dauer)
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Totengold"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Dead Man's Gold"
         spell.w = #SPELL_TOTENGOLD
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
               spell_x = 0
               spell_y = 0
               feld_waehlen()   ; gibt spell_x und spell_y zurueck
               blocked = 0
               los()            ; gibt blocked zurueck

               If blocked = 0
                  ; zaubern!
            If schriftrolle = 0
                  spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
                  EndIf
               If Random(100) < zauberchance(spell)  or schriftrolle = 1
                  PlaySound(#SOUND_CHAOS)
                  zauber(spell) \chance = zauber(spell) \chance + 5
                  sternchen(160+spell_x*32,160+spell_y*32,2)
                  If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld = #FELD_SKELETT
                     setlaby(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,#FELD_GOLD,0,0)
                  EndIf
               Else
                  misslungen()
               EndIf
               EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Tiere bannen"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Banish animals"
         spell.w = #SPELL_TIERE_BANNEN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
               spell_x = 0
               spell_y = 0
               feld_waehlen()   ; gibt spell_x und spell_y zurueck
               blocked = 0
               los()            ; gibt blocked zurueck

               If blocked = 0
                  ; zaubern!
            If schriftrolle = 0
                  spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
                  EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200  ; Monster ?
                     If monster(labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \objekt) \art = 1
                        PlaySound(#SOUND_CHAOS)
                        zauber(spell) \chance = zauber(spell) \chance + 5
                        sternchen(160+spell_x*32,160+spell_y*32,3)
                        setlaby(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,#FELD_LEER,0,0)
                     EndIf
                  EndIf
               Else
                  misslungen()
               EndIf
               EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Untote bannen"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Banish undead"
         spell.w = #SPELL_UNTOTE_BANNEN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            blocked = 0
            los()            ; gibt blocked zurueck

            If blocked = 0
               ; zaubern!
            If schriftrolle = 0
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
               EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200  ; Monster ?
                     If monster(labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \objekt) \art = 3
                        PlaySound(#SOUND_CHAOS)
                        zauber(spell) \chance = zauber(spell) \chance + 5
                        sternchen(160+spell_x*32,160+spell_y*32,3)
                        setlaby(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,#FELD_LEER,0,0)
                     EndIf
                  EndIf
               Else
                  misslungen()
               EndIf
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Nexus"
         spell.w = #SPELL_NEXUS
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            blocked = 0
            los()            ; gibt blocked zurueck

            If blocked = 0
               ; zaubern!
            If schriftrolle = 0
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
               EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld = #FELD_LEER
                     If spieler(akt_spieler) \nexus = 1
                        spieler(akt_spieler) \nexus = 0
                        PlaySound(#SOUND_CHAOS)
                        zauber(spell) \chance = zauber(spell) \chance + 5
                        sternchen(160+spell_x*32,160+spell_y*32,3)
                        setlaby(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,#FELD_NEXUS,0,0)
                     Else
                        If sprache = 0
                           nachricht("Nur einmal pro ebene!")
                        Else
                           nachricht("Only once per level!")
                        EndIf
                        Delay(600)
                     EndIf
                  EndIf
               Else
                  misslungen()
               EndIf
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Wort des Todes"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Word of Death"
         spell.w = #SPELL_WORT_DES_TODES
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            blocked = 0
            los()            ; gibt blocked zurueck

            If blocked = 0
               ; zaubern!
            If schriftrolle = 0
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
               EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200  ; Monster ?
                     If monster(labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \objekt) \art = 2
                        PlaySound(#SOUND_CHAOS)
                        zauber(spell) \chance = zauber(spell) \chance + 5
                        sternchen(160+spell_x*32,160+spell_y*32,3)
                        setlaby(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,#FELD_LEER,0,0)
                     EndIf
                  EndIf
               Else
                  misslungen()
               EndIf
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Versteinern"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Turn to Stone"
         spell.w = #SPELL_VERSTEINERN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            blocked = 0
            los()            ; gibt blocked zurueck

            If blocked = 0
               ; zaubern!
               If schriftrolle = 0
                  spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
               EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200  ; Monster ?
                     If hat_eigenschaft(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,13) = 0
                        PlaySound(#SOUND_CHAOS)
                        zauber(spell) \chance = zauber(spell) \chance + 5
                        sternchen(160+spell_x*32,160+spell_y*32,6)
                        setlaby(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,#FELD_LEER,0,0)
                     EndIf
                  EndIf
               Else
                  misslungen()
               EndIf
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Ewiger Winter"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Eternal Winter"
         spell.w = #SPELL_EWIGER_WINTER
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            blocked = 0
            los()            ; gibt blocked zurueck

            If blocked = 0
               ; zaubern!
            If schriftrolle = 0
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
               EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200  ; Monster ?
                     If hat_eigenschaft(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,18) = 0
                        PlaySound(#SOUND_CHAOS)
                        zauber(spell) \chance = zauber(spell) \chance + 5
                        sternchen(160+spell_x*32,160+spell_y*32,7)
                        setlaby(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,#FELD_LEER,0,0)
                     EndIf
                  EndIf
               Else
                  misslungen()
               EndIf
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Falle zerstoeren"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Destroy trap"
         spell.w = #SPELL_FALLE_ZERSTOEREN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            blocked = 0
            los()            ; gibt blocked zurueck

            If blocked = 0
               ; zaubern!
            If schriftrolle = 0
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
               EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld >= #FELD_SPEERFALLE1 And labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld <= #FELD_RUNENFALLE_FLUCH2
                     PlaySound(#SOUND_SUCCESS)
                     zauber(spell) \chance = zauber(spell) \chance + 5
                     sternchen(160+spell_x*32,160+spell_y*32,3)
                     setlaby(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,#FELD_LEER,0,0)
                  EndIf
               Else
                  misslungen()
               EndIf
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Verhexen"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Charm"
         spell.w = #SPELL_VERHEXEN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            blocked = 0
            los()            ; gibt blocked zurueck

            If blocked = 0
               ; zaubern!
            If schriftrolle = 0
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
               EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200  ; Monster ?
                     If hat_eigenschaft(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y, 9) = 1
                        PlaySound(#SOUND_CHAOS)
                        zauber(spell) \chance = zauber(spell) \chance + 5
                        sternchen(160+spell_x*32,160+spell_y*32,3)
                        setlaby(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,#FELD_LEER,0,0)
                     EndIf
                  EndIf
               Else
                  misslungen()
               EndIf
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Monster Auge"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Monster Eye"
         spell.w = #SPELL_MONSTERAUGE
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            ; zaubern!
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               zauber(spell) \chance = zauber(spell) \chance + 5
               monsterkunde()
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Portal"
         spell.w = #SPELL_PORTAL
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            blocked = 0
            los()            ; gibt blocked zurueck

            If spieler(akt_spieler) \portal = 1
               If blocked = 0 And labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld = #FELD_MAUER
                  ; zaubern!
                  If schriftrolle = 0
                     spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
                  EndIf
                  spieler(akt_spieler) \portal = 0  ; Nur einmal pro Ebene
                  If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                     PlaySound(#SOUND_GLASS)
                     zauber(spell) \chance = zauber(spell) \chance + 5
                     sternchen(160+spell_x*32,160+spell_y*32,4)
                     setlaby(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,#FELD_LEER,0,0)
                  Else
                     misslungen()
                  EndIf
               endif
            Else
               If sprache = 0
                  nachricht ("Nur einmal pro Ebene!")
               Else
                  nachricht ("Only once per Level!")
               EndIf
               Delay(600)
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Federfall"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Featherfall"
         spell.w = #SPELL_FEDERFALL
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            ; zaubern!
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_FALL)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(spell6,spell6,6)
               If labyrinth(spieler(akt_spieler) \character_x, spieler(akt_spieler) \character_y) \feld = #FELD_SCHACHT
                  aufsteigen()
                  neuer_level()
               EndIf
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Dunkles Mana"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Dark Mana"
         spell.w = #SPELL_DUNKLES_MANA
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            ; zaubern!
            spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
               PlaySound(#SOUND_DARKNESS)
               zauber(spell) \chance = zauber(spell) \chance + 5
               sternchen(156,156,3)
               If labyrinth(spieler(akt_spieler) \character_x, spieler(akt_spieler) \character_y) \feld = #FELD_SKELETT
           setlaby(spieler(akt_spieler) \character_x, spieler(akt_spieler) \character_y,#FELD_LEER,0,0)
    spieler(akt_spieler) \Mana = spieler(akt_spieler) \Mana + power()
    If spieler(akt_spieler) \Mana > spieler(akt_spieler) \MaxMana
                     spieler(akt_spieler) \Mana = spieler(akt_spieler) \MaxMana
    EndIf
               EndIf
            Else
               misslungen()
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Dunkler Sog"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Drain Life"
         spell.w = #SPELL_DUNKLER_SOG
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            blocked = 0
            los()            ; gibt blocked zurueck

            If blocked = 0
               ; zaubern!
            If schriftrolle = 0
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
               EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  PlaySound(#SOUND_DARKNESS)
                  zauber(spell) \chance = zauber(spell) \chance + 5
                  sog()
                   If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200     ; Monster ?
                     ; Schaden
                     schaden.w = Random(power() + 1) + 2
                     spieler(akt_spieler) \Lifepoints = spieler(akt_spieler) \Lifepoints + schaden
                     If spieler(akt_spieler) \Lifepoints > spieler(akt_spieler) \MaxLifepoints
                        spieler(akt_spieler) \Lifepoints = spieler(akt_spieler) \MaxLifepoints
                     EndIf
                     monsterschaden(schaden)
                  EndIf
               Else
                  misslungen()
               EndIf
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Funke"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Spark"
         spell.w = #SPELL_FUNKE
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            blocked = 0
            los()            ; gibt blocked zurueck

            If blocked = 0
               ; zaubern!
            If schriftrolle = 0
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
               EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  PlaySound(#SOUND_FLAME)
                  zauber(spell) \chance = zauber(spell) \chance + spell
                  attack_spell(1)
                  If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200     ; Monster ?
                     ; Schaden
                     schaden.w = Random(power() + 1) + 2
                     ; Brennt ?
                     If hat_eigenschaft(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,11) = 1
                        schaden = schaden * 2
                     EndIf
                     ; Feuerfest ?
                     If hat_eigenschaft(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,12) = 0
                        monsterschaden(schaden)
                     EndIf
                  EndIf
                  If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld = #FELD_EIS     ; Eisblock
                     ; Schaden
                     schaden.w = Random(power() + 1) + 2
                     If schaden > 3
                        PlaySound(#SOUND_GLASS)
                        setlaby(spieler(akt_spieler) \character_x+spell_x,spieler(akt_spieler) \character_y+spell_y,#FELD_LEER,0,0)
                        Delay(400)
                        laby_screen()
                     Else
                        If sprache = 0
                           nachricht ("Der Eisblock ist zu hart!")
                        Else
                           nachricht ("The Iceblock is too strong!")
                        EndIf
                        PlaySound(#SOUND_OW)
                        spielerschaden(1,3)
                        Delay(400)
                     EndIf
                  EndIf
               Else
                  misslungen()
               EndIf
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Drachenfeuer"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Dragon Fire"
         spell.w = #SPELL_DRACHENFEUER
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            blocked = 0
            los()            ; gibt blocked zurueck

            If blocked = 0
               ; zaubern!
            If schriftrolle = 0
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
               EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  PlaySound(#SOUND_FLAME)
                  zauber(spell) \chance = zauber(spell) \chance + 5
                  attack_spell(3)
                   If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200     ; Monster ?
                     ; Schaden
                     schaden.w = Random(power() * 3 + 3) + 2
                     If hat_eigenschaft(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,11) = 1
                        schaden = schaden * 2
                     EndIf
                     ; Feuerfest ?
                     If hat_eigenschaft(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,12) = 0
                        monsterschaden(schaden)
                     EndIf
                  EndIf
                  If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld = #FELD_EIS     ; Eisblock
                     ; Schaden
                     schaden.w = Random(power() * 3 + 3) + 2
                     If schaden > 3
                        PlaySound(#SOUND_GLASS)
                        setlaby(spieler(akt_spieler) \character_x+spell_x,spieler(akt_spieler) \character_y+spell_y,#FELD_LEER,0,0)
                        Delay(400)
                        laby_screen()
                     Else
                        If sprache = 0
                           nachricht ("Der Eisblock ist zu hart!")
                        Else
                           nachricht ("The Iceblock is too strong!")
                        EndIf
                        PlaySound(#SOUND_OW)
                        spielerschaden(1,3)
                        Delay(400)
                     EndIf
                  EndIf
               Else
                  misslungen()
               EndIf
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Feuerschlag"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Fire Bolt"
         spell.w = #SPELL_FEUERSCHLAG
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            blocked = 0
            los()            ; gibt blocked zurueck

            If blocked = 0
               ; zaubern!
               If schriftrolle = 0
                  spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
               EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  PlaySound(#SOUND_FLAME)
                  zauber(spell) \chance = zauber(spell) \chance + 5
                  attack_spell(3)
                   If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200     ; Monster ?
                     ; Schaden
                     schaden.w = Random(power() * 2 + 3) + 2
                     If hat_eigenschaft(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,11) = 1
                        schaden = schaden * 2
                     EndIf
                     ; Feuerfest ?
                     If hat_eigenschaft(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,12) = 0
                        monsterschaden(schaden)
                     EndIf
                  EndIf
                  If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld = #FELD_EIS     ; Eisblock
                     ; Schaden
                     schaden.w = Random(power() * 2 + 3) + 2
                     If schaden > 3
                        PlaySound(#SOUND_GLASS)
                        setlaby(spieler(akt_spieler) \character_x+spell_x,spieler(akt_spieler) \character_y+spell_y,#FELD_LEER,0,0)
                        Delay(400)
                        laby_screen()
                     Else
                        If sprache = 0
                           nachricht ("Der Eisblock ist zu hart!")
                        Else
                           nachricht ("The Iceblock is too strong!")
                        EndIf
                        PlaySound(#SOUND_OW)
                        spielerschaden(1,3)
                        Delay(400)
                     EndIf
                  EndIf
               Else
                  misslungen()
               EndIf
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Vortex"
         spell.w = #SPELL_VORTEX
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            blocked = 0
            los()            ; gibt blocked zurueck

            If blocked = 0
               ; zaubern!
            If schriftrolle = 0
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
               EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  PlaySound(#SOUND_CHAOS)
                  zauber(spell) \chance = zauber(spell) \chance + 5
                  sog()
                   If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200     ; Monster ?
                     ; Schaden
                     schaden.w = Random(power() * 2 + 3) + 2
                   monsterschaden(schaden)
                  EndIf
               Else
                  misslungen()
               EndIf
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Blitzschlag" Or zauberliste(akt_zauber + akt_zauber_offset) = "Lightning Bolt"
         spell.w = #SPELL_BLITZSCHLAG
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            blocked = 0
            los()            ; gibt blocked zurueck

               ; zaubern!
            If schriftrolle = 0
            If blocked = 0
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
               EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  PlaySound(#SOUND_CHAOS)
                  zauber(spell) \chance = zauber(spell) \chance + 5
                  attack_spell(6)
                   If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200     ; Monster ?
                     ; Schaden
                     schaden.w = Random(power() * 2 + 3) + 2
                   monsterschaden(schaden)
                  EndIf
               Else
                  misslungen()
               EndIf
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Frostschlag"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Frost Bolt"
         spell.w = #SPELL_FROSTBOLT
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            blocked = 0
            los()            ; gibt blocked zurueck

            If blocked = 0
               ; zaubern!
            If schriftrolle = 0
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
               EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  PlaySound(#SOUND_GLASS)
                  zauber(spell) \chance = zauber(spell) \chance + 5
                  attack_spell(4)
                   If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200     ; Monster ?
                     ; Schaden
                     schaden.w = Random(power() * 2 + 3) + 2
                   monsterschaden(schaden)
                  EndIf
               Else
                  misslungen()
               EndIf
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Teleport"
         spell.w = #SPELL_TELEPORT
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            ; zaubern!
            If spieler(akt_spieler) \teleport = 1
               spieler(akt_spieler) \teleport = 0   ; Nur einmal pro ebene
               If schriftrolle = 0
                  spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
               EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  PlaySound(#SOUND_EVASION)
                  sternchen(156,156,3)
                  zauber(spell) \chance = zauber(spell) \chance + 5
                   If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld = #FELD_LEER
                      spieler(akt_spieler) \character_x = spieler(akt_spieler) \character_x + spell_x
                      spieler(akt_spieler) \character_y = spieler(akt_spieler) \character_y + spell_y
                      laby_screen()
                  EndIf
               Else
                  misslungen()
               EndIf
            Else
               If sprache = 0
                  nachricht ("Nur einmal pro Ebene!")
               Else
                  nachricht ("Only once per Level!")
               EndIf
               Delay(600)
            EndIf
         endif
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Dehydration"
         spell.w = #SPELL_DEHYDRATION
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            blocked = 0
            los()            ; gibt blocked zurueck

            If blocked = 0
               ; zaubern!
            If schriftrolle = 0
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
               EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  PlaySound(#SOUND_DARKNESS)
                  zauber(spell) \chance = zauber(spell) \chance + 5
                  sternchen(160 + spell_x * 32, 160 + spell_y * 32, 6)
                   If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200     ; Monster ?
                     ; Schaden
                     schaden.w = Random(power() * 2 + 4) + 3
                     ; Trocken ?
                     If hat_eigenschaft(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,7) = 0
                        monsterschaden(schaden)
                     EndIf
                  EndIf
               Else
                  misslungen()
               EndIf
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Arkaner Schlag"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Arcane Bolt"
         spell.w = #SPELL_ARKANER_SCHLAG
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            blocked = 0
            los()            ; gibt blocked zurueck

            If blocked = 0
               ; zaubern!
            If schriftrolle = 0
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
               EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  PlaySound(#SOUND_FLAME)
                  zauber(spell) \chance = zauber(spell) \chance + 5
                  attack_spell(2)
                   If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200     ; Monster ?
                     ; Schaden
                     schaden.w = Random(power() * 2 + 1) + 2
                   monsterschaden(schaden)
                  EndIf
               Else
                  misslungen()
               EndIf
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Oeffnen"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Open"
         spell.w = #SPELL_OEFFNEN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            blocked = 0
            los()            ; gibt blocked zurueck

            If blocked = 0
               ; zaubern!
            If schriftrolle = 0
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
               EndIf
            EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  PlaySound(#SOUND_KEY)
                  zauber(spell) \chance = zauber(spell) \chance + 5
                  If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld = #FELD_TUER2     ; Tuer ?
                     setlaby(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y, #FELD_OFFENE_TUER,0,0)
                  EndIf
                  If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld = #FELD_GRUENETRUHE1 ; Truhe ?
                     setlaby(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y, FELD_GRUENETRUHE2,0,0)
                  EndIf
               Else
                  misslungen()
               EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Furcht"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Fear"
         spell.w = #SPELL_FURCHT
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            blocked = 0
            los()            ; gibt blocked zurueck

            If blocked = 0
               ; zaubern!
            If schriftrolle = 0
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
               EndIf
            If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200     ; Monster ?
                  ; Hat Angst ?
                  If hat_eigenschaft(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y, 8) = 1
                     PlaySound(#SOUND_DARKNESS)
                     zauber(spell) \chance = zauber(spell) \chance + 5
                     sternchen(156+spell_x*32,156+spell_y*32,7)
                     setlaby(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,#FELD_LEER,0,0)
                  EndIf
               EndIf
            Else
               misslungen()
            EndIf
            EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Erdbeben"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Earthquake"
         spell.w = #SPELL_ERDBEBEN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
               ; zaubern!
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  PlaySound(#SOUND_FLAME)
                  zauber(spell) \chance = zauber(spell) \chance + 5
                  ; Bildschirm zittern lassen
                  zittern = 3
                  laby_screen()
                  For i = 1 To 20
                     For y.b=-1 To 11
                        For x.b=-1 To 11
                           If spieler(akt_spieler) \character_x-5+x < 1 Or spieler(akt_spieler) \character_y-5+y < 1
                              draw_tile(1, x, y, x_offset, y_offset)   ; Mauer
                           Else
                              draw_tile(labyrinth(spieler(akt_spieler) \character_x-5+x, spieler(akt_spieler) \character_y-5+y) \feld, x, y, x_offset+zittern, y_offset+zittern)
                           EndIf
                        Next
                      Next
                      draw_character(spieler(akt_spieler) \face,frame)
                      show_sight()
                      FlipBuffers()
                      If zittern = 3
                         zittern = -3
                      Else
                         zittern = 3
                      EndIf
                      Delay(20)
                   Next
                   Delay(600)

                   For spell_x = -5 To 5
                      For spell_y = -5 To 5
                         if spieler(akt_spieler) \character_x + spell_x > 0 and spieler(akt_spieler) \character_y + spell_y > 0
                         If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200     ; Monster ?
                           ; fliegt ?
                           If hat_eigenschaft(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,1) = 0
                              ; Schaden
                              schaden.w = Random(power() + 1) + 2
                              monsterschaden(schaden)
                           EndIf
                           endif
                         EndIf
                      Next
                   Next
               Else
                  misslungen()
               EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Flammenmeer"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Sea of Flames"
         spell.w = #SPELL_FLAMMENMEER
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
               ; zaubern!
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  PlaySound(#SOUND_FLAME)
                  zauber(spell) \chance = zauber(spell) \chance + 5
                  ; Bildschirm mit Flammen fuellen
                  For y.b=-1 To 10
                     For x.b=-1 To 10
                        draw_tile(#FELD_FEUER3, x, y, 1, 1)
                     Next
                   Next
                   FlipBuffers()
                   Delay(600)

                   For spell_x = -5 To 5
                      For spell_y = -5 To 5
                         If spieler(akt_spieler) \character_x + spell_x > 1 And spieler(akt_spieler) \character_y + spell_y > 1
                         If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200     ; Monster ?
                           ; Schaden
                           schaden.w = Random(power() + 1) + 2
                           ; Brennt ?
                           If hat_eigenschaft(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,11) = 1
                              schaden = schaden * 2
                           EndIf
                           ; Feuerfest ?
                           If hat_eigenschaft(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,12) = 0
                              monsterschaden(schaden)
                           EndIf
                         EndIf
                         If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld = #FELD_EIS     ; Eisblock
                            ; Schaden
                            schaden.w = Random(power() + 1) + 2
                            If schaden > 3
                               PlaySound(#SOUND_GLASS)
                               setlaby(spieler(akt_spieler) \character_x+spell_x,spieler(akt_spieler) \character_y+spell_y,#FELD_LEER,0,0)
                            EndIf
                         EndIf
                         EndIf
                      Next
                   Next
               Else
                  misslungen()
               EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Sternenfeuer"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Starfire"
         spell.w = #SPELL_STERNENFEUER
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
               ; zaubern!
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  PlaySound(#SOUND_FLAME)
                  zauber(spell) \chance = zauber(spell) \chance + 5
                  ; Bildschirm mit Sternen fuellen
                  For y.b=-1 To 10
                     For x.b=-1 To 10
                        draw_tile(#FELD_STERNE2, x, y, 1, 1)
                     Next
                   Next
                   FlipBuffers()
                   Delay(600)

                   For spell_x = -5 To 5
                      For spell_y = -5 To 5
                         If spieler(akt_spieler) \character_x + spell_x > 1 And spieler(akt_spieler) \character_y + spell_y > 1
                         If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200     ; Monster ?
                           ; Schaden
                           schaden.w = Random(power() + 2) + 2
                           ; Feuerfest ?
                           If hat_eigenschaft(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,12) = 0
                              monsterschaden(schaden)
                           EndIf
                         EndIf
                         If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld = #FELD_EIS     ; Eisblock
                            ; Schaden
                            schaden.w = Random(power() + 2) + 2
                            If schaden > 3
                               PlaySound(#SOUND_GLASS)
                               setlaby(spieler(akt_spieler) \character_x+spell_x,spieler(akt_spieler) \character_y+spell_y,#FELD_LEER,0,0)
                            EndIf
                         EndIf
                         EndIf
                      Next
                   Next
               Else
                  misslungen()
               EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Flutwelle"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Tidal Wave"
         spell.w = #SPELL_FLUTWELLE
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
               ; zaubern!
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  PlaySound(#SOUND_FLAME)
                  zauber(spell) \chance = zauber(spell) \chance + 5
                  ; Bildschirm mit Flammen fuellen
                  For y.b=-1 To 10
                     For x.b=-1 To 10
                        draw_tile(#FELD_WASSER, x, y, 1, 1)
                     Next
                   Next
                   FlipBuffers()
                   Delay(600)

                   For spell_x = -5 To 5
                      For spell_y = -5 To 5
                         If spieler(akt_spieler) \character_x + spell_x > 1 And spieler(akt_spieler) \character_y + spell_y > 1
                         If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200     ; Monster ?
                            ; Fliegt ?
                            If hat_eigenschaft(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y,1) = 0
                              ; Schaden
                              schaden.w = Random(power() + 1) + 2
                              monsterschaden(schaden)
                            EndIf
                         EndIf
                         If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld = #FELD_FEUER1 Or labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld = #FELD_FEUER2 Or labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld = #FELD_FEUER3 Or labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld = #FELD_LAGERFEUER
                            ; Schaden
                            schaden.w = Random(power() + 1) + 2
                            If schaden > 3
                               PlaySound(#SOUND_SPLASH)
                               setlaby(spieler(akt_spieler) \character_x+spell_x,spieler(akt_spieler) \character_y+spell_y,#FELD_LEER,0,0)
                            EndIf
                         EndIf
                         EndIf
                      Next
                   Next
               Else
                  misslungen()
               EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Prismatisches Spray"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Prismatic Spray"
         spell.w = #SPELL_PRISMATISCHES_SPRAY
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
               ; zaubern!
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  PlaySound(#SOUND_FLAME)
                  zauber(spell) \chance = zauber(spell) \chance + 5
                  spraygrafik(360,10)
                   For spell_x = -5 To 5
                      For spell_y = -5 To 5
                         If spieler(akt_spieler) \character_x + spell_x > 1 And spieler(akt_spieler) \character_y + spell_y > 1
                         If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200     ; Monster ?
                           ; Schaden
                           schaden.w = Random(power() * 2) + 2
                           monsterschaden(schaden)
                         EndIf
                         EndIf
                      Next
                   Next
               Else
                  misslungen()
               EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Winde rufen"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Call winds"
         spell.w = #SPELL_WINDE_RUFEN
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
               ; zaubern!
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
            EndIf
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  PlaySound(#SOUND_WIND)
                  zauber(spell) \chance = zauber(spell) \chance + 5
                  ; Bildschirm mit Spaere fuellen
                  For y.b=-1 To 10
                     For x.b=-1 To 10
                        ClipSprite(#SPRITE_TILESET_ITEMS, 480, 384, 32, 32)
                        DisplaySprite(#SPRITE_TILESET_ITEMS, x*32+offset_x, y*32+offset_y)
                     Next
                   Next
                   FlipBuffers()
                   Delay(600)
                   For spell_x = -5 To 5
                      For spell_y = -5 To 5
                         If spieler(akt_spieler) \character_x + spell_x > 1 And spieler(akt_spieler) \character_y + spell_y > 1
                         If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200   ; Monster?
                            ; Fliegt?
                            If hat_eigenschaft(spieler(akt_spieler) \character_x + spell_x ,spieler(akt_spieler) \character_y + spell_y ,5) = 1
                              schaden.w = Random(power() + 1) + 1
                              monsterschaden(schaden)
                           EndIf
                         EndIf
                         EndIf
                      Next
                   Next
               Else
                  misslungen()
               EndIf
         EndIf
      EndIf
      If zauberliste(akt_zauber + akt_zauber_offset) = "Wirbelwind"  Or zauberliste(akt_zauber + akt_zauber_offset) = "Whirlwind"
         spell.w = #SPELL_WIRBELWIND
         If spieler(akt_spieler) \Mana > zauber(spell) \kosten - 1 Or schriftrolle = 1
            If schriftrolle = 0
            spell_x = 0
            spell_y = 0
            feld_waehlen()   ; gibt spell_x und spell_y zurueck
            blocked = 0
            los()            ; gibt blocked zurueck

            If blocked = 0
               ; zaubern!
               spieler(akt_spieler) \Mana = spieler(akt_spieler) \mana - zauber(spell) \kosten
               If Random(100) < zauberchance(spell)  Or schriftrolle = 1
                  PlaySound(#SOUND_WIND)
                  zauber(spell) \chance = zauber(spell) \chance + 5
                  For j = 1 To 5
                     For i = 1 To 2
                        ClipSprite(#SPRITE_TILESET_ANIMATIONEN, i*40-40, 40, 39, 39)
                        DisplayTransparentSprite(#SPRITE_TILESET_ANIMATIONEN, 156+spell_x*32, 156+spell_y*32)
                        FlipBuffers()
                        Delay(90)
                     Next
                  Next
                  If labyrinth(spieler(akt_spieler) \character_x + spell_x, spieler(akt_spieler) \character_y + spell_y) \feld > 200     ; Monster ?
                     ; Schaden
                     schaden.w = Random(power() + 1)
                     monsterschaden(schaden)
                  EndIf
               Else
                  misslungen()
               EndIf
            EndIf
            EndIf
         EndIf
      EndIf

EndProcedure

; ------------------------------------------------------------------------------------------
; Zaubermenue

Procedure zaubern()

Shared sprache, zauberliste, anz_zauber, akt_zauber, frame, spieler, akt_spieler, spell_x, spell_y, blocked
shared anzz, yplus, test, mauszauber, akt_zauber_offset
Shared labyrinth, skills, groesse, monster, aktive, schriftrolle, akt_zauber_offset2

 ; Liste der besessenen Zauber erstellen
 For i = i To 120
    zauberliste(i) = ""
 Next
   anz_zauber = 1
   For i = 1 To 120
      If zauber(i) \level <= spieler(akt_spieler) \circle
         nehmen = 0
         If zauber(i) \art = "basis"
            nehmen = 1
         EndIf
         If zauber(i) \art = "erde" And skills(37,akt_spieler) \gewaehlt = 1
            nehmen = 1
         EndIf
         If zauber(i) \art = "feuer" And skills(35,akt_spieler) \gewaehlt = 1
            nehmen = 1
         EndIf
         If zauber(i) \art = "schwarz" And skills(34,akt_spieler) \gewaehlt = 1
            nehmen = 1
         EndIf
         If zauber(i) \art = "druide" And skills(39,akt_spieler) \gewaehlt = 1
            nehmen = 1
         EndIf
         If zauber(i) \art = "wasser" And skills(36,akt_spieler) \gewaehlt = 1
            nehmen = 1
         EndIf
         If zauber(i) \art = "sterne" And skills(30,akt_spieler) \gewaehlt = 1
            nehmen = 1
         EndIf
         If zauber(i) \art = "luft" And skills(38,akt_spieler) \gewaehlt = 1
            nehmen = 1
         EndIf
         If zauber(i) \art = "weiss" And skills(33,akt_spieler) \gewaehlt = 1
            nehmen = 1
         EndIf
         If zauber(i) \art = "barde" And skills(42,akt_spieler) \gewaehlt = 1
            nehmen = 1
         EndIf
         If zauber(i) \art = "illusion" And skills(31,akt_spieler) \gewaehlt = 1
            nehmen = 1
         EndIf
         If zauber(i) \art = "hohe" And skills(41,akt_spieler) \gewaehlt = 1
            nehmen = 1
         EndIf
         If zauber(i) \art = "hexerei" And skills(40,akt_spieler) \gewaehlt = 1
            nehmen = 1
         EndIf
         If zauber(i) \art = "warlock" And skills(32,akt_spieler) \gewaehlt = 1
            nehmen = 1
         EndIf

         If nehmen = 1
            If sprache = 0
               zauberliste(anz_zauber+akt_zauber_offset2) = zauber(i) \name_d
            Else
               zauberliste(anz_zauber+akt_zauber_offset2) = zauber(i) \name_e
            EndIf
            anz_zauber = anz_zauber + 1
         EndIf
      EndIf
   Next
   ; Bubblesort
   zwischen.s
   For i = 1 To anz_zauber - 2
      For j = 1 To anz_zauber - 2
         If zauberliste(j+akt_zauber_offset2) > zauberliste(j+akt_zauber_offset2+1)
            zwischen = zauberliste(j+akt_zauber_offset2)
            zauberliste(j+akt_zauber_offset2) = zauberliste(j+akt_zauber_offset2+1)
            zauberliste(j+akt_zauber_offset2+1) = zwischen
         EndIf
      Next
   Next

   If sprache = 0
      zauberliste(anz_zauber+akt_zauber_offset2) = "Abbrechen"
   Else
      zauberliste(anz_zauber+akt_zauber_offset2) = "Cancel"
   EndIf


   Repeat

        ClearScreen(0,0,0)
        draw_screen(0, 0)
        draw_character(spieler(akt_spieler) \face, frame)
        zauber_rahmen()
        show_sight()

        result = ExamineMouse()
        mmouse_x = MouseX()
        mmouse_y = MouseY()
        mouse_links   = MouseButton(1)
        mouse_rechts  = MouseButton(2)

        ; Maus darstellen
        ClipSprite(#SPRITE_TILESET_ITEMS, 192, 288, 32, 32)
        DisplayTransparentSprite(#SPRITE_TILESET_ITEMS, mmouse_x, mmouse_y)

        FlipBuffers()

        If KeyboardPushed(#PB_Key_Down)
           If akt_zauber < anz_zauber - 1
              akt_zauber = akt_zauber + 1
              Delay(50)
           EndIf
        EndIf
        If KeyboardPushed(#PB_Key_Up)
           If akt_zauber > 0
              akt_zauber = akt_zauber - 1
              Delay(50)
           EndIf
        EndIf

        ExamineKeyboard()

        ; Mit Maus gezaubert ?
        mauszauber = 0
        y = 52
        aktuell = 1
        if mmouse_x > 365 and mmouse_x < 610
           for i = 1 to anzz
              if mmouse_y >= y and mmouse_y <= y + yplus
                 mauszauber = aktuell
              endif
              y = y + yplus
              aktuell = aktuell + 1
           next
        endif

        raushier = 0
        if mouse_links = 1 and mauszauber > 0
           raushier = 1
        endif

   Until raushier = 1 or mouse_rechts = 1 Or KeyboardPushed(#PB_Key_Return)

   If KeyboardPushed(#PB_Key_Return)
      schriftrolle = 0
      cast_it()
   EndIf

   if raushier = 1
      zauberliste(akt_zauber + akt_zauber_offset) = zauberliste(akt_zauber + akt_zauber_offset + mauszauber - 16)
      schriftrolle = 0
      cast_it()
   endif

EndProcedure
; ExecutableFormat=
; EOF
